
#                                 scala.Double                                 #

```
object Double extends AnyValCompanion
```

* Source
  * [Double.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/Double.scala#L1)


--------------------------------------------------------------------------------
                        Value Members From scala.Double
--------------------------------------------------------------------------------


### `final val MaxValue: Double(1.7976931348623157E308)`                     ###

The largest finite positive number representable as a Double.

(defined at scala.Double)


### `final val MinPositiveValue: Double(4.9E-324)`                           ###

The smallest positive value greater than 0.0d which is representable as a
Double.

(defined at scala.Double)


### `final val MinValue: Double`                                             ###

The negative number with the greatest (finite) absolute value which is
representable by a Double. Note that it differs from java.lang.Double.MIN_VALUE,
which is the smallest positive value representable by a Double. In Scala that
number is called Double.MinPositiveValue.

(defined at scala.Double)


### `final val NaN: Double(NaN)`                                             ###

(defined at scala.Double)


### `final val NegativeInfinity: Double(-Infinity)`                          ###

(defined at scala.Double)


### `final val PositiveInfinity: Double(Infinity)`                           ###

(defined at scala.Double)


### `def box(x: Double): java.lang.Double`                                   ###

Transform a value type into a boxed reference type.

Runtime implementation determined by `scala.runtime.BoxesRunTime.boxToDouble` .
See
[src/library/scala/runtime/BoxesRunTime.java](https://github.com/scala/scala).

* x
  * the Double to be boxed
* returns
  * a java.lang.Double offering `x` as its underlying value.

(defined at scala.Double)


### `def toString(): String`                                                 ###

The String representation of the scala.Double companion object.

* returns
  * a String representation of the object.

* Definition Classes
  * Double → AnyRef → Any

(defined at scala.Double)


### `def unbox(x: AnyRef): Double`                                           ###

Transform a boxed type into a value type. Note that this method is not typesafe:
it accepts any Object, but will throw an exception if the argument is not a
java.lang.Double.

Runtime implementation determined by `scala.runtime.BoxesRunTime.unboxToDouble` .
See
[src/library/scala/runtime/BoxesRunTime.java](https://github.com/scala/scala).

* x
  * the java.lang.Double to be unboxed.
* returns
  * the Double resulting from calling doubleValue() on `x`

* Exceptions thrown
  * ClassCastException if the argument is not a java.lang.Double
(defined at scala.Double)
