
#                                 scala.Float                                 #

```
object Float extends AnyValCompanion
```

* Source
  * [Float.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/Float.scala#L1)


--------------------------------------------------------------------------------
                         Value Members From scala.Float
--------------------------------------------------------------------------------


### `final val MaxValue: Float(3.4028235E38)`                                ###

The largest finite positive number representable as a Float.

(defined at scala.Float)


### `final val MinPositiveValue: Float(1.4E-45)`                             ###

The smallest positive value greater than 0.0f which is representable as a Float.

(defined at scala.Float)


### `final val MinValue: Float`                                              ###

The negative number with the greatest (finite) absolute value which is
representable by a Float. Note that it differs from java.lang.Float.MIN_VALUE,
which is the smallest positive value representable by a Float. In Scala that
number is called Float.MinPositiveValue.

(defined at scala.Float)


### `final val NaN: Float(NaN)`                                              ###

(defined at scala.Float)


### `final val NegativeInfinity: Float(-Infinity)`                           ###

(defined at scala.Float)


### `final val PositiveInfinity: Float(Infinity)`                            ###

(defined at scala.Float)


### `def box(x: Float): java.lang.Float`                                     ###

Transform a value type into a boxed reference type.

Runtime implementation determined by `scala.runtime.BoxesRunTime.boxToFloat` .
See
[src/library/scala/runtime/BoxesRunTime.java](https://github.com/scala/scala).

* x
  * the Float to be boxed
* returns
  * a java.lang.Float offering `x` as its underlying value.

(defined at scala.Float)


### `implicit def float2double(x: Float): Double`                            ###

(defined at scala.Float)


### `def toString(): String`                                                 ###

The String representation of the scala.Float companion object.

* returns
  * a String representation of the object.

* Definition Classes
  * Float → AnyRef → Any

(defined at scala.Float)


### `def unbox(x: AnyRef): Float`                                            ###

Transform a boxed type into a value type. Note that this method is not typesafe:
it accepts any Object, but will throw an exception if the argument is not a
java.lang.Float.

Runtime implementation determined by `scala.runtime.BoxesRunTime.unboxToFloat` .
See
[src/library/scala/runtime/BoxesRunTime.java](https://github.com/scala/scala).

* x
  * the java.lang.Float to be unboxed.
* returns
  * the Float resulting from calling floatValue() on `x`

* Exceptions thrown
  * ClassCastException if the argument is not a java.lang.Float
(defined at scala.Float)
