
#                                scala.NotNull                                #

```
trait NotNull extends Any
```

A marker trait for things that are not allowed to be null

* Annotations
  * @ deprecated
* Deprecated
  * _(Since version 2.11.0)_ This trait will be removed
* Source
  * [NotNull.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/NotNull.scala#L1)
* Since
  * 2.5


--------------------------------------------------------------------------------
                    Concrete Value Members From scala.Any###
--------------------------------------------------------------------------------


### `final def ##(): Int`                                                    ###

Equivalent to `x.hashCode` except for boxed numeric types and `null` . For
numerics, it returns a hash value which is consistent with value equality: if
two value type instances compare as true, then ## will produce the same hash
value for each of them. For `null` returns a hashcode where `null.hashCode`
throws a `NullPointerException` .

* returns
  * a hash value consistent with ==

* Definition Classes
  * Any
(defined at scala.Any###)
