
#                                scala.Nothing                                #

```
abstract final class Nothing extends Any
```

 `Nothing` is - together with scala.Null - at the bottom of Scala's type
hierarchy.

 `Nothing` is a subtype of every other type (including scala.Null); there exist
 _no instances_ of this type. Although type `Nothing` is uninhabited, it is
nevertheless useful in several ways. For instance, the Scala library defines a
value scala.collection.immutable.Nil of type `List[Nothing]` . Because lists are
covariant in Scala, this makes scala.collection.immutable.Nil an instance of
 `List[T]` , for any element of type `T` .

Another usage for Nothing is the return type for methods which never return
normally. One example is method error in scala.sys, which always throws an
exception.


--------------------------------------------------------------------------------
                    Concrete Value Members From scala.Any###
--------------------------------------------------------------------------------


### `final def ##(): Int`                                                    ###

Equivalent to `x.hashCode` except for boxed numeric types and `null` . For
numerics, it returns a hash value which is consistent with value equality: if
two value type instances compare as true, then ## will produce the same hash
value for each of them. For `null` returns a hashcode where `null.hashCode`
throws a `NullPointerException` .

* returns
  * a hash value consistent with ==

* Definition Classes
  * Any
(defined at scala.Any###)
