
#                                 scala.Option                                 #

```
object Option extends Serializable
```

* Source
  * [Option.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/Option.scala#L1)


--------------------------------------------------------------------------------
                        Value Members From scala.Option
--------------------------------------------------------------------------------


### `def apply[A](x: A): Option[A]`                                          ###

An Option factory which creates Some(x) if the argument is not null, and None if
it is null.

* x
  * the value
* returns
  * Some(value) if value != null, None if value == null

(defined at scala.Option)


### `def empty[A]: Option[A]`                                                ###

An Option factory which returns `None` in a manner consistent with the
collections hierarchy.

(defined at scala.Option)


### `implicit def option2Iterable[A](xo: Option[A]): Iterable[A]`            ###

An implicit conversion that converts an option to an iterable value
(defined at scala.Option)
