
#                                 scala.Tuple1                                 #

```
case class Tuple1[+T1](_1: T1) extends Product1[T1] with Product with Serializable
```

A tuple of 1 elements; the canonical representation of a scala.Product1.

* _1
  * Element 1 of this Tuple1

* Annotations
  * @deprecatedInheritance (..., "2.11.0")
* Source
  * [Tuple1.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/Tuple1.scala#L1)


--------------------------------------------------------------------------------
                       Value Members From scala.Product1
--------------------------------------------------------------------------------


### `def productArity: Int`                                                  ###

The arity of this product.

* returns
  * 1

* Definition Classes
  * Product1 → Product

(defined at scala.Product1)


### `def productElement(n: Int): Any`                                        ###

Returns the n-th projection of this product if 0 < n <= productArity, otherwise
throws an `IndexOutOfBoundsException` .

* n
  * number of the projection to be returned
* returns
  * same as `._(n+1)` , for example `productElement(0)` is the same as `._1` .

* Definition Classes
  * Product1 → Product
* Annotations
  * @ throws (clazz = classOf[IndexOutOfBoundsException])
* Exceptions thrown
  * IndexOutOfBoundsException

(defined at scala.Product1)


--------------------------------------------------------------------------------
                    Instance Constructors From scala.Tuple1
--------------------------------------------------------------------------------


### `new Tuple1(_1: T1)`                                                     ###

Create a new tuple with 1 elements.

* _1
  * Element 1 of this Tuple1

(defined at scala.Tuple1)


--------------------------------------------------------------------------------
                        Value Members From scala.Tuple1
--------------------------------------------------------------------------------


### `val _1: T1`                                                             ###

Element 1 of this Tuple1

* Definition Classes
  * Tuple1 → Product1

(defined at scala.Tuple1)


### `def toString(): String`                                                 ###

Creates a String representation of this object. The default representation is
platform dependent. On the java platform it is the concatenation of the class
name, "@", and the object's hashcode in hexadecimal.

* returns
  * a String representation of the object.

* Definition Classes
  * Tuple1 → AnyRef → Any
(defined at scala.Tuple1)
