
#                                scala.Tuple11                                #

```
case class Tuple11[+T1, +T2, +T3, +T4, +T5, +T6, +T7, +T8, +T9, +T10, +T11](_1: T1, _2: T2, _3: T3, _4: T4, _5: T5, _6: T6, _7: T7, _8: T8, _9: T9, _10: T10, _11: T11) extends Product11[T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11] with Product with Serializable
```

A tuple of 11 elements; the canonical representation of a scala.Product11.

* _1
  * Element 1 of this Tuple11
* _2
  * Element 2 of this Tuple11
* _3
  * Element 3 of this Tuple11
* _4
  * Element 4 of this Tuple11
* _5
  * Element 5 of this Tuple11
* _6
  * Element 6 of this Tuple11
* _7
  * Element 7 of this Tuple11
* _8
  * Element 8 of this Tuple11
* _9
  * Element 9 of this Tuple11
* _10
  * Element 10 of this Tuple11
* _11
  * Element 11 of this Tuple11

* Annotations
  * @deprecatedInheritance (..., "2.11.0")
* Source
  * [Tuple11.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/Tuple11.scala#L1)


--------------------------------------------------------------------------------
                       Value Members From scala.Product11
--------------------------------------------------------------------------------


### `def productArity: Int`                                                  ###

The arity of this product.

* returns
  * 11

* Definition Classes
  * Product11 → Product

(defined at scala.Product11)


### `def productElement(n: Int): Any`                                        ###

Returns the n-th projection of this product if 0 < n <= productArity, otherwise
throws an `IndexOutOfBoundsException` .

* n
  * number of the projection to be returned
* returns
  * same as `._(n+1)` , for example `productElement(0)` is the same as `._1` .

* Definition Classes
  * Product11 → Product
* Annotations
  * @ throws (clazz = classOf[IndexOutOfBoundsException])
* Exceptions thrown
  * IndexOutOfBoundsException

(defined at scala.Product11)


--------------------------------------------------------------------------------
                    Instance Constructors From scala.Tuple11
--------------------------------------------------------------------------------


### `new Tuple11(_1: T1, _2: T2, _3: T3, _4: T4, _5: T5, _6: T6, _7: T7, _8: T8, _9: T9, _10: T10, _11: T11)` ###

Create a new tuple with 11 elements. Note that it is more idiomatic to create a
Tuple11 via `(t1, t2, t3, t4, t5, t6, t7, t8, t9, t10, t11)`

* _1
  * Element 1 of this Tuple11
* _2
  * Element 2 of this Tuple11
* _3
  * Element 3 of this Tuple11
* _4
  * Element 4 of this Tuple11
* _5
  * Element 5 of this Tuple11
* _6
  * Element 6 of this Tuple11
* _7
  * Element 7 of this Tuple11
* _8
  * Element 8 of this Tuple11
* _9
  * Element 9 of this Tuple11
* _10
  * Element 10 of this Tuple11
* _11
  * Element 11 of this Tuple11

(defined at scala.Tuple11)


--------------------------------------------------------------------------------
                        Value Members From scala.Tuple11
--------------------------------------------------------------------------------


### `val _10: T10`                                                           ###

Element 10 of this Tuple11

* Definition Classes
  * Tuple11 → Product11

(defined at scala.Tuple11)


### `val _11: T11`                                                           ###

Element 11 of this Tuple11

* Definition Classes
  * Tuple11 → Product11

(defined at scala.Tuple11)


### `val _1: T1`                                                             ###

Element 1 of this Tuple11

* Definition Classes
  * Tuple11 → Product11

(defined at scala.Tuple11)


### `val _2: T2`                                                             ###

Element 2 of this Tuple11

* Definition Classes
  * Tuple11 → Product11

(defined at scala.Tuple11)


### `val _3: T3`                                                             ###

Element 3 of this Tuple11

* Definition Classes
  * Tuple11 → Product11

(defined at scala.Tuple11)


### `val _4: T4`                                                             ###

Element 4 of this Tuple11

* Definition Classes
  * Tuple11 → Product11

(defined at scala.Tuple11)


### `val _5: T5`                                                             ###

Element 5 of this Tuple11

* Definition Classes
  * Tuple11 → Product11

(defined at scala.Tuple11)


### `val _6: T6`                                                             ###

Element 6 of this Tuple11

* Definition Classes
  * Tuple11 → Product11

(defined at scala.Tuple11)


### `val _7: T7`                                                             ###

Element 7 of this Tuple11

* Definition Classes
  * Tuple11 → Product11

(defined at scala.Tuple11)


### `val _8: T8`                                                             ###

Element 8 of this Tuple11

* Definition Classes
  * Tuple11 → Product11

(defined at scala.Tuple11)


### `val _9: T9`                                                             ###

Element 9 of this Tuple11

* Definition Classes
  * Tuple11 → Product11

(defined at scala.Tuple11)


### `def toString(): String`                                                 ###

Creates a String representation of this object. The default representation is
platform dependent. On the java platform it is the concatenation of the class
name, "@", and the object's hashcode in hexadecimal.

* returns
  * a String representation of the object.

* Definition Classes
  * Tuple11 → AnyRef → Any
(defined at scala.Tuple11)
