
#                                 scala.Tuple7                                 #

```
case class Tuple7[+T1, +T2, +T3, +T4, +T5, +T6, +T7](_1: T1, _2: T2, _3: T3, _4: T4, _5: T5, _6: T6, _7: T7) extends Product7[T1, T2, T3, T4, T5, T6, T7] with Product with Serializable
```

A tuple of 7 elements; the canonical representation of a scala.Product7.

* _1
  * Element 1 of this Tuple7
* _2
  * Element 2 of this Tuple7
* _3
  * Element 3 of this Tuple7
* _4
  * Element 4 of this Tuple7
* _5
  * Element 5 of this Tuple7
* _6
  * Element 6 of this Tuple7
* _7
  * Element 7 of this Tuple7

* Annotations
  * @deprecatedInheritance (..., "2.11.0")
* Source
  * [Tuple7.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/Tuple7.scala#L1)


--------------------------------------------------------------------------------
                       Value Members From scala.Product7
--------------------------------------------------------------------------------


### `def productArity: Int`                                                  ###

The arity of this product.

* returns
  * 7

* Definition Classes
  * Product7 → Product

(defined at scala.Product7)


### `def productElement(n: Int): Any`                                        ###

Returns the n-th projection of this product if 0 < n <= productArity, otherwise
throws an `IndexOutOfBoundsException` .

* n
  * number of the projection to be returned
* returns
  * same as `._(n+1)` , for example `productElement(0)` is the same as `._1` .

* Definition Classes
  * Product7 → Product
* Annotations
  * @ throws (clazz = classOf[IndexOutOfBoundsException])
* Exceptions thrown
  * IndexOutOfBoundsException

(defined at scala.Product7)


--------------------------------------------------------------------------------
                    Instance Constructors From scala.Tuple7
--------------------------------------------------------------------------------


### `new Tuple7(_1: T1, _2: T2, _3: T3, _4: T4, _5: T5, _6: T6, _7: T7)`     ###

Create a new tuple with 7 elements. Note that it is more idiomatic to create a
Tuple7 via `(t1, t2, t3, t4, t5, t6, t7)`

* _1
  * Element 1 of this Tuple7
* _2
  * Element 2 of this Tuple7
* _3
  * Element 3 of this Tuple7
* _4
  * Element 4 of this Tuple7
* _5
  * Element 5 of this Tuple7
* _6
  * Element 6 of this Tuple7
* _7
  * Element 7 of this Tuple7

(defined at scala.Tuple7)


--------------------------------------------------------------------------------
                        Value Members From scala.Tuple7
--------------------------------------------------------------------------------


### `val _1: T1`                                                             ###

Element 1 of this Tuple7

* Definition Classes
  * Tuple7 → Product7

(defined at scala.Tuple7)


### `val _2: T2`                                                             ###

Element 2 of this Tuple7

* Definition Classes
  * Tuple7 → Product7

(defined at scala.Tuple7)


### `val _3: T3`                                                             ###

Element 3 of this Tuple7

* Definition Classes
  * Tuple7 → Product7

(defined at scala.Tuple7)


### `val _4: T4`                                                             ###

Element 4 of this Tuple7

* Definition Classes
  * Tuple7 → Product7

(defined at scala.Tuple7)


### `val _5: T5`                                                             ###

Element 5 of this Tuple7

* Definition Classes
  * Tuple7 → Product7

(defined at scala.Tuple7)


### `val _6: T6`                                                             ###

Element 6 of this Tuple7

* Definition Classes
  * Tuple7 → Product7

(defined at scala.Tuple7)


### `val _7: T7`                                                             ###

Element 7 of this Tuple7

* Definition Classes
  * Tuple7 → Product7

(defined at scala.Tuple7)


### `def toString(): String`                                                 ###

Creates a String representation of this object. The default representation is
platform dependent. On the java platform it is the concatenation of the class
name, "@", and the object's hashcode in hexadecimal.

* returns
  * a String representation of the object.

* Definition Classes
  * Tuple7 → AnyRef → Any
(defined at scala.Tuple7)
