
#                        scala.UninitializedFieldError                        #

```
final case class UninitializedFieldError(msg: String) extends RuntimeException with Product with Serializable
```

This class implements errors which are thrown whenever a field is used before it
has been initialized.

Such runtime checks are not emitted by default. They can be enabled by the
 `-Xcheckinit` compiler option.

* Source
  * [UninitializedFieldError.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/UninitializedFieldError.scala#L1)
* Since
  * 2.7


--------------------------------------------------------------------------------
                     Value Members From java.lang.Throwable
--------------------------------------------------------------------------------


### `def fillInStackTrace(): java.lang.Throwable`                            ###

* Definition Classes
  * Throwable

(defined at java.lang.Throwable)


### `def getCause(): java.lang.Throwable`                                    ###

* Definition Classes
  * Throwable

(defined at java.lang.Throwable)


### `def getLocalizedMessage(): String`                                      ###

* Definition Classes
  * Throwable

(defined at java.lang.Throwable)


### `def getMessage(): String`                                               ###

* Definition Classes
  * Throwable

(defined at java.lang.Throwable)


### `def getStackTrace(): Array[StackTraceElement]`                          ###

* Definition Classes
  * Throwable

(defined at java.lang.Throwable)


### `def initCause(arg0: java.lang.Throwable): java.lang.Throwable`          ###

* Definition Classes
  * Throwable

(defined at java.lang.Throwable)


### `def printStackTrace(): Unit`                                            ###

* Definition Classes
  * Throwable

(defined at java.lang.Throwable)


### `def printStackTrace(arg0: PrintStream): Unit`                           ###

* Definition Classes
  * Throwable

(defined at java.lang.Throwable)


### `def printStackTrace(arg0: PrintWriter): Unit`                           ###

* Definition Classes
  * Throwable

(defined at java.lang.Throwable)


### `def setStackTrace(arg0: Array[StackTraceElement]): Unit`                ###

* Definition Classes
  * Throwable

(defined at java.lang.Throwable)


### `def toString(): String`                                                 ###

Creates a String representation of this object. The default representation is
platform dependent. On the java platform it is the concatenation of the class
name, "@", and the object's hashcode in hexadecimal.

* returns
  * a String representation of the object.

* Definition Classes
  * Throwable → AnyRef → Any

(defined at java.lang.Throwable)


--------------------------------------------------------------------------------
            Instance Constructors From scala.UninitializedFieldError
--------------------------------------------------------------------------------


### `new UninitializedFieldError(obj: Any)`                                  ###

(defined at scala.UninitializedFieldError)


--------------------------------------------------------------------------------
                Value Members From scala.UninitializedFieldError
--------------------------------------------------------------------------------


### `val msg: String`                                                        ###

(defined at scala.UninitializedFieldError)


--------------------------------------------------------------------------------
       Deprecated Value Members From Implicit scala.Predef.RichException
--------------------------------------------------------------------------------


### `def getStackTraceString: String`                                        ###

* Implicit information
  * This member is added by an implicit conversion from UninitializedFieldError
    to RichException performed by method RichException in scala.Predef.
* Definition Classes
  * RichException
* Annotations
  * @ deprecated
* Deprecated
  * _(Since version 2.11.0)_ Use Throwable#getStackTrace
(added by implicit convertion: scala.Predef.RichException)
