
#                 scala.collection.mutable.ArrayBuilder.ofInt                 #

```
class ofInt extends ArrayBuilder[Int]
```

A class for array builders for arrays of `int` s.

* Annotations
  * @deprecatedInheritance (..., "2.11.0")
* Source
  * [ArrayBuilder.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/collection/mutable/ArrayBuilder.scala#L1)


--------------------------------------------------------------------------------
              Value Members From scala.collection.generic.Growable
--------------------------------------------------------------------------------


### `def +=(elem1: Int, elem2: Int, elems: Int*): ofInt.this.type`           ###

adds two or more elements to this growable collection.

* elem1
  * the first element to add.
* elem2
  * the second element to add.
* elems
  * the remaining elements to add.
* returns
  * the growable collection itself

* Definition Classes
  * Growable

(defined at scala.collection.generic.Growable)


--------------------------------------------------------------------------------
     Instance Constructors From scala.collection.mutable.ArrayBuilder.ofInt
--------------------------------------------------------------------------------


### `new ofInt()`                                                            ###

(defined at scala.collection.mutable.ArrayBuilder.ofInt)


--------------------------------------------------------------------------------
         Value Members From scala.collection.mutable.ArrayBuilder.ofInt
--------------------------------------------------------------------------------


### `def ++=(xs: TraversableOnce[Int]): ofInt.this.type`                     ###

adds all elements produced by a TraversableOnce to this growable collection.

* xs
  * the TraversableOnce producing the elements to add.
* returns
  * the growable collection itself.

* Definition Classes
  * ofInt → Growable

(defined at scala.collection.mutable.ArrayBuilder.ofInt)


### `def +=(elem: Int): ofInt.this.type`                                     ###

Adds a single element to the builder.

* elem
  * the element to be added.
* returns
  * the builder itself.

* Definition Classes
  * ofInt → Builder → Growable

(defined at scala.collection.mutable.ArrayBuilder.ofInt)


### `def clear(): Unit`                                                      ###

Clears the contents of this builder. After execution of this method the builder
will contain no elements.

* Definition Classes
  * ofInt → Builder → Growable → Clearable

(defined at scala.collection.mutable.ArrayBuilder.ofInt)


### `def equals(other: Any): Boolean`                                        ###

The equality method for reference types. Default implementation delegates to
 `eq` .

See also `equals` in scala.Any.

* returns
  * `true` if the receiver object is equivalent to the argument; `false`
    otherwise.

* Definition Classes
  * ofInt → AnyRef → Any

(defined at scala.collection.mutable.ArrayBuilder.ofInt)


### `def result(): Array[Int]`                                               ###

Produces a collection from the added elements. The builder's contents are
undefined after this operation.

* returns
  * a collection containing the elements added to this builder.

* Definition Classes
  * ofInt → Builder

(defined at scala.collection.mutable.ArrayBuilder.ofInt)


### `def sizeHint(size: Int): Unit`                                          ###

Gives a hint how many elements are expected to be added when the next `result`
is called. Some builder classes will optimize their representation based on the
hint. However, builder implementations are still required to work correctly even
if the hint is wrong, i.e. a different number of elements is added.

* size
  * the hint how many elements will be added.

* Definition Classes
  * ofInt → Builder

(defined at scala.collection.mutable.ArrayBuilder.ofInt)


### `def toString(): String`                                                 ###

Creates a String representation of this object. The default representation is
platform dependent. On the java platform it is the concatenation of the class
name, "@", and the object's hashcode in hexadecimal.

* returns
  * a String representation of the object.

* Definition Classes
  * ofInt → AnyRef → Any

(defined at scala.collection.mutable.ArrayBuilder.ofInt)


--------------------------------------------------------------------------------
              Value Members From scala.collection.mutable.Builder
--------------------------------------------------------------------------------


### `def mapResult[NewTo](f: (Array[Int]) ⇒ NewTo): Builder[Int, NewTo]`     ###

Creates a new builder by applying a transformation function to the results of
this builder.

* NewTo
  * the type of collection returned by `f` .
* f
  * the transformation function.
* returns
  * a new builder which is the same as the current builder except that a
    transformation function is applied to this builder's result.

* Definition Classes
  * Builder

(defined at scala.collection.mutable.Builder)


### `def sizeHint(coll: TraversableLike[_, _]): Unit`                        ###

Gives a hint that one expects the `result` of this builder to have the same size
as the given collection, plus some delta. This will provide a hint only if the
collection is known to have a cheap `size` method. Currently this is assumed to
be the case if and only if the collection is of type `IndexedSeqLike` . Some
builder classes will optimize their representation based on the hint. However,
builder implementations are still required to work correctly even if the hint is
wrong, i.e. a different number of elements is added.

* coll
  * the collection which serves as a hint for the result's size.

* Definition Classes
  * Builder

(defined at scala.collection.mutable.Builder)


### `def sizeHint(coll: TraversableLike[_, _], delta: Int): Unit`            ###

Gives a hint that one expects the `result` of this builder to have the same size
as the given collection, plus some delta. This will provide a hint only if the
collection is known to have a cheap `size` method. Currently this is assumed to
be the case if and only if the collection is of type `IndexedSeqLike` . Some
builder classes will optimize their representation based on the hint. However,
builder implementations are still required to work correctly even if the hint is
wrong, i.e. a different number of elements is added.

* coll
  * the collection which serves as a hint for the result's size.
* delta
  * a correction to add to the `coll.size` to produce the size hint.

* Definition Classes
  * Builder

(defined at scala.collection.mutable.Builder)


### `def sizeHintBounded(size: Int, boundingColl: TraversableLike[_, _]): Unit` ###

Gives a hint how many elements are expected to be added when the next `result`
is called, together with an upper bound given by the size of some other
collection. Some builder classes will optimize their representation based on the
hint. However, builder implementations are still required to work correctly even
if the hint is wrong, i.e. a different number of elements is added.

* size
  * the hint how many elements will be added.
* boundingColl
  * the bounding collection. If it is an IndexedSeqLike, then sizes larger than
    collection's size are reduced.

* Definition Classes
  * Builder
(defined at scala.collection.mutable.Builder)
