
#                   scala.collection.mutable.ArrayOps.ofByte                   #

```
final class ofByte extends AnyVal with ArrayOps[Byte] with ArrayLike[Byte, Array[Byte]]
```

A class of `ArrayOps` for arrays containing `byte` s.

* Source
  * [ArrayOps.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/collection/mutable/ArrayOps.scala#L1)


--------------------------------------------------------------------------------
                                  Type Members
--------------------------------------------------------------------------------


### `class Elements extends AbstractIterator[A] with BufferedIterator[A] with Serializable` ###

The class of the iterator returned by the `iterator` method. multiple `take` ,
 `drop` , and `slice` operations on this iterator are bunched together for
better efficiency.

* Attributes
  * protected
* Definition Classes
  * IndexedSeqLike
* Annotations
  * @ SerialVersionUID ()


### `type Self = Array[Byte]`                                                ###

The type implementing this traversable

* Attributes
  * protected[this]
* Definition Classes
  * TraversableLike


### `class WithFilter extends FilterMonadic[A, Repr]`                        ###

A class supporting filtered operations. Instances of this class are returned by
method `withFilter` .

* Definition Classes
  * TraversableLike


--------------------------------------------------------------------------------
                        Value Members From scala.Any###
--------------------------------------------------------------------------------


### `final def ##(): Int`                                                    ###

Equivalent to `x.hashCode` except for boxed numeric types and `null` . For
numerics, it returns a hash value which is consistent with value equality: if
two value type instances compare as true, then ## will produce the same hash
value for each of them. For `null` returns a hashcode where `null.hashCode`
throws a `NullPointerException` .

* returns
  * a hash value consistent with ==

* Definition Classes
  * Any

(defined at scala.Any###)


--------------------------------------------------------------------------------
                        Value Members From scala.AnyVal
--------------------------------------------------------------------------------


### `def getClass(): Class[_ <: AnyVal]`                                     ###

Returns the runtime class representation of the object.

* returns
  * a class object corresponding to the runtime type of the receiver.

* Definition Classes
  * AnyVal → Any

(defined at scala.AnyVal)


--------------------------------------------------------------------------------
            Value Members From scala.collection.CustomParallelizable
--------------------------------------------------------------------------------


### `def parCombiner: Combiner[Byte, ParArray[Byte]]`                        ###

The default `par` implementation uses the combiner provided by this method to
create a new parallel collection.

* returns
  * a combiner for the parallel collection of type `ParRepr`

* Attributes
  * protected[this]
* Definition Classes
  * CustomParallelizable → Parallelizable

(defined at scala.collection.CustomParallelizable)


--------------------------------------------------------------------------------
                 Value Members From scala.collection.GenSeqLike
--------------------------------------------------------------------------------


### `def indexOf[B >: Byte](elem: B): Int`                                   ###

[use case]

Finds index of first occurrence of some value in this mutable indexed sequence.

* elem
  * the element value to search for.
* returns
  * the index of the first element of this mutable indexed sequence that is
    equal (as determined by `==` ) to `elem` , or `-1` , if none exists.

* Definition Classes
  * GenSeqLike

(defined at scala.collection.GenSeqLike)


### `def indexOf[B >: Byte](elem: B, from: Int): Int`                        ###

[use case]

Finds index of first occurrence of some value in this mutable indexed sequence
after or at some start index.

* elem
  * the element value to search for.
* from
  * the start index
* returns
  * the index `>= from` of the first element of this mutable indexed sequence
    that is equal (as determined by `==` ) to `elem` , or `-1` , if none exists.

* Definition Classes
  * GenSeqLike

(defined at scala.collection.GenSeqLike)


### `def indexWhere(p: (Byte) ⇒ Boolean): Int`                               ###

Finds index of first element satisfying some predicate.

Note: may not terminate for infinite-sized collections.

* p
  * the predicate used to test elements.
* returns
  * the index of the first element of this general sequence that satisfies the
    predicate `p` , or `-1` , if none exists.

* Definition Classes
  * GenSeqLike

(defined at scala.collection.GenSeqLike)


### `def isDefinedAt(idx: Int): Boolean`                                     ###

Tests whether this general sequence contains given index.

The implementations of methods `apply` and `isDefinedAt` turn a `Seq[A]` into a
 `PartialFunction[Int, A]` .

* idx
  * the index to test
* returns
  * `true` if this general sequence contains an element at position `idx` ,
     `false` otherwise.

* Definition Classes
  * GenSeqLike

(defined at scala.collection.GenSeqLike)


### `def lastIndexOf[B >: Byte](elem: B): Int`                               ###

[use case]

Finds index of last occurrence of some value in this mutable indexed sequence.

* elem
  * the element value to search for.
* returns
  * the index of the last element of this mutable indexed sequence that is equal
    (as determined by `==` ) to `elem` , or `-1` , if none exists.

* Definition Classes
  * GenSeqLike

(defined at scala.collection.GenSeqLike)


### `def lastIndexOf[B >: Byte](elem: B, end: Int): Int`                     ###

[use case]

Finds index of last occurrence of some value in this mutable indexed sequence
before or at a given end index.

* elem
  * the element value to search for.
* end
  * the end index.
* returns
  * the index `<= end` of the last element of this mutable indexed sequence that
    is equal (as determined by `==` ) to `elem` , or `-1` , if none exists.

* Definition Classes
  * GenSeqLike

(defined at scala.collection.GenSeqLike)


### `def lastIndexWhere(p: (Byte) ⇒ Boolean): Int`                           ###

Finds index of last element satisfying some predicate.

Note: will not terminate for infinite-sized collections.

* p
  * the predicate used to test elements.
* returns
  * the index of the last element of this general sequence that satisfies the
    predicate `p` , or `-1` , if none exists.

* Definition Classes
  * GenSeqLike

(defined at scala.collection.GenSeqLike)


### `def prefixLength(p: (Byte) ⇒ Boolean): Int`                             ###

Returns the length of the longest prefix whose elements all satisfy some
predicate.

Note: may not terminate for infinite-sized collections.

* p
  * the predicate used to test elements.
* returns
  * the length of the longest prefix of this general sequence such that every
    element of the segment satisfies the predicate `p` .

* Definition Classes
  * GenSeqLike

(defined at scala.collection.GenSeqLike)


### `def startsWith[B](that: GenSeq[B]): Boolean`                            ###

Tests whether this general sequence starts with the given sequence.

* that
  * the sequence to test
* returns
  * `true` if this collection has `that` as a prefix, `false` otherwise.

* Definition Classes
  * GenSeqLike

(defined at scala.collection.GenSeqLike)


--------------------------------------------------------------------------------
               Value Members From scala.collection.IndexedSeqLike
--------------------------------------------------------------------------------


### `def iterator: Iterator[Byte]`                                           ###

Creates a new iterator over all elements contained in this iterable object.

* returns
  * the new iterator

* Definition Classes
  * IndexedSeqLike → IterableLike → GenIterableLike

(defined at scala.collection.IndexedSeqLike)


### `def toBuffer[A1 >: Byte]: Buffer[A1]`                                   ###

Uses the contents of this sequence to create a new mutable buffer.

* returns
  * a buffer containing all elements of this sequence.

* Definition Classes
  * IndexedSeqLike → TraversableOnce → GenTraversableOnce

(defined at scala.collection.IndexedSeqLike)


--------------------------------------------------------------------------------
            Value Members From scala.collection.IndexedSeqOptimized
--------------------------------------------------------------------------------


### `def drop(n: Int): Array[Byte]`                                          ###

Selects all elements except first _n_ ones.

* n
  * the number of elements to drop from this sequence.
* returns
  * a sequence consisting of all elements of this sequence except the first `n`
    ones, or else the empty sequence, if this sequence has less than `n`
    elements.

* Definition Classes
  * IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

(defined at scala.collection.IndexedSeqOptimized)


### `def dropRight(n: Int): Array[Byte]`                                     ###

Selects all elements except last _n_ ones.

* n
  * The number of elements to take
* returns
  * a sequence consisting of all elements of this sequence except the last `n`
    ones, or else the empty sequence, if this sequence has less than `n`
    elements.

* Definition Classes
  * IndexedSeqOptimized → IterableLike

(defined at scala.collection.IndexedSeqOptimized)


### `def dropWhile(p: (Byte) ⇒ Boolean): Array[Byte]`                        ###

Drops longest prefix of elements that satisfy a predicate.

* returns
  * the longest suffix of this sequence whose first element does not satisfy the
    predicate `p` .

* Definition Classes
  * IndexedSeqOptimized → TraversableLike → GenTraversableLike

(defined at scala.collection.IndexedSeqOptimized)


### `def endsWith[B](that: GenSeq[B]): Boolean`                              ###

Tests whether this sequence ends with the given sequence.

* that
  * the sequence to test
* returns
  * `true` if this sequence has `that` as a suffix, `false` otherwise.

* Definition Classes
  * IndexedSeqOptimized → SeqLike → GenSeqLike

(defined at scala.collection.IndexedSeqOptimized)


### `def exists(p: (Byte) ⇒ Boolean): Boolean`                               ###

Tests whether a predicate holds for some of the elements of this sequence.

* p
  * the predicate used to test elements.
* returns
  * `false` if this sequence is empty, otherwise `true` if the given predicate
     `p` holds for some of the elements of this sequence, otherwise `false`

* Definition Classes
  * IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce →
    GenTraversableOnce

(defined at scala.collection.IndexedSeqOptimized)


### `def find(p: (Byte) ⇒ Boolean): Option[Byte]`                            ###

Finds the first element of the sequence satisfying a predicate, if any.

* p
  * the predicate used to test elements.
* returns
  * an option value containing the first element in the sequence that satisfies
     `p` , or `None` if none exists.

* Definition Classes
  * IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce →
    GenTraversableOnce

(defined at scala.collection.IndexedSeqOptimized)


### `def foldLeft[B](z: B)(op: (B, Byte) ⇒ B): B`                            ###

Applies a binary operator to a start value and all elements of this sequence,
going left to right.

* B
  * the result type of the binary operator.
* z
  * the start value.
* op
  * the binary operator.
* returns
  * the result of inserting `op` between consecutive elements of this sequence,
    going left to right with the start value `z` on the left:

    ```scala
    op(...op(z, x_1), x_2, ..., x_n)
    ```

    where `x1, ..., xn` are the elements of this sequence.

* Definition Classes
  * IndexedSeqOptimized → TraversableOnce → GenTraversableOnce

(defined at scala.collection.IndexedSeqOptimized)


### `def foldRight[B](z: B)(op: (Byte, B) ⇒ B): B`                           ###

Applies a binary operator to all elements of this sequence and a start value,
going right to left.

* B
  * the result type of the binary operator.
* z
  * the start value.
* op
  * the binary operator.
* returns
  * the result of inserting `op` between consecutive elements of this sequence,
    going right to left with the start value `z` on the right:

    ```scala
    op(x_1, op(x_2, ... op(x_n, z)...))
    ```

    where `x1, ..., xn` are the elements of this sequence.

* Definition Classes
  * IndexedSeqOptimized → IterableLike → TraversableOnce → GenTraversableOnce

(defined at scala.collection.IndexedSeqOptimized)


### `def forall(p: (Byte) ⇒ Boolean): Boolean`                               ###

Tests whether a predicate holds for all elements of this sequence.

* p
  * the predicate used to test elements.
* returns
  * `true` if this sequence is empty, otherwise `true` if the given predicate
     `p` holds for all elements of this sequence, otherwise `false` .

* Definition Classes
  * IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce →
    GenTraversableOnce

(defined at scala.collection.IndexedSeqOptimized)


### `def foreach[U](f: (Byte) ⇒ U): Unit`                                    ###

[use case]

Applies a function `f` to all elements of this mutable indexed sequence.

Note: this method underlies the implementation of most other bulk operations.
Subclasses should re-implement this method if a more efficient implementation
exists.

* f
  * the function that is applied for its side-effect to every element. The
    result of function `f` is discarded.

* Definition Classes
  * IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike →
    TraversableOnce → GenTraversableOnce → FilterMonadic

(defined at scala.collection.IndexedSeqOptimized)


### `def head: Byte`                                                         ###

Selects the first element of this sequence.

* returns
  * the first element of this sequence.

* Definition Classes
  * IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike
* Exceptions thrown
  * NoSuchElementException if the sequence is empty.

(defined at scala.collection.IndexedSeqOptimized)


### `def indexWhere(p: (Byte) ⇒ Boolean, from: Int): Int`                    ###

Finds index of the first element satisfying some predicate after or at some
start index.

* p
  * the predicate used to test elements.
* from
  * the start index
* returns
  * the index `>= from` of the first element of this sequence that satisfies the
    predicate `p` , or `-1` , if none exists.

* Definition Classes
  * IndexedSeqOptimized → SeqLike → GenSeqLike

(defined at scala.collection.IndexedSeqOptimized)


### `def init: Array[Byte]`                                                  ###

Selects all elements except the last.

* returns
  * a sequence consisting of all elements of this sequence except the last one.

* Definition Classes
  * IndexedSeqOptimized → TraversableLike → GenTraversableLike
* Exceptions thrown
  * UnsupportedOperationException if the sequence is empty.

(defined at scala.collection.IndexedSeqOptimized)


### `def isEmpty: Boolean`                                                   ###

Tests whether this sequence is empty.

* returns
  * `true` if the sequence contain no elements, `false` otherwise.

* Definition Classes
  * IndexedSeqOptimized → SeqLike → IterableLike → TraversableLike →
    TraversableOnce → GenTraversableOnce

(defined at scala.collection.IndexedSeqOptimized)


### `def last: Byte`                                                         ###

Selects the last element.

* returns
  * The last element of this sequence.

* Definition Classes
  * IndexedSeqOptimized → TraversableLike → GenTraversableLike
* Exceptions thrown
  * NoSuchElementException If the sequence is empty.

(defined at scala.collection.IndexedSeqOptimized)


### `def lastIndexWhere(p: (Byte) ⇒ Boolean, end: Int): Int`                 ###

Finds index of last element satisfying some predicate before or at given end
index.

* p
  * the predicate used to test elements.
* returns
  * the index `<= end` of the last element of this sequence that satisfies the
    predicate `p` , or `-1` , if none exists.

* Definition Classes
  * IndexedSeqOptimized → SeqLike → GenSeqLike

(defined at scala.collection.IndexedSeqOptimized)


### `def lengthCompare(len: Int): Int`                                       ###

Compares the length of this sequence to a test value.

* len
  * the test value that gets compared with the length.
* returns
  * A value `x` where

    ```scala
    x <  0       if this.length <  len
    x == 0       if this.length == len
    x >  0       if this.length >  len
    ```

    The method as implemented here does not call `length` directly; its running
    time is `O(length min len)` instead of `O(length)` . The method should be
    overwritten if computing `length` is cheap.

* Definition Classes
  * IndexedSeqOptimized → SeqLike

(defined at scala.collection.IndexedSeqOptimized)


### `def reduceLeft[B >: Byte](op: (B, Byte) ⇒ B): B`                        ###

Applies a binary operator to all elements of this sequence, going left to right.

* B
  * the result type of the binary operator.
* op
  * the binary operator.
* returns
  * the result of inserting `op` between consecutive elements of this sequence,
    going left to right:

    ```scala
    op( op( ... op(x_1, x_2) ..., x_{n-1}), x_n)
    ```

    where `x1, ..., xn` are the elements of this sequence.

* Definition Classes
  * IndexedSeqOptimized → TraversableOnce
* Exceptions thrown
  * UnsupportedOperationException if this sequence is empty.

(defined at scala.collection.IndexedSeqOptimized)


### `def reduceRight[B >: Byte](op: (Byte, B) ⇒ B): B`                       ###

Applies a binary operator to all elements of this sequence, going right to left.

* B
  * the result type of the binary operator.
* op
  * the binary operator.
* returns
  * the result of inserting `op` between consecutive elements of this sequence,
    going right to left:

    ```scala
    op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))
    ```

    where `x1, ..., xn` are the elements of this sequence.

* Definition Classes
  * IndexedSeqOptimized → IterableLike → TraversableOnce → GenTraversableOnce
* Exceptions thrown
  * UnsupportedOperationException if this sequence is empty.

(defined at scala.collection.IndexedSeqOptimized)


### `def reverse: Array[Byte]`                                               ###

Returns new sequence with elements in reversed order.

* returns
  * A new sequence with all elements of this sequence in reversed order.

* Definition Classes
  * IndexedSeqOptimized → SeqLike → GenSeqLike

(defined at scala.collection.IndexedSeqOptimized)


### `def reverseIterator: Iterator[Byte]`                                    ###

An iterator yielding elements in reversed order.

Note: `xs.reverseIterator` is the same as `xs.reverse.iterator` but might be
more efficient.

* returns
  * an iterator yielding the elements of this sequence in reversed order

* Definition Classes
  * IndexedSeqOptimized → SeqLike

(defined at scala.collection.IndexedSeqOptimized)


### `def sameElements[B >: Byte](that: GenIterable[B]): Boolean`             ###

[use case]

Checks if the other iterable collection contains the same elements in the same
order as this mutable indexed sequence.

* that
  * the collection to compare with.
* returns
  * `true` , if both collections contain the same elements in the same order,
     `false` otherwise.

* Definition Classes
  * IndexedSeqOptimized → IterableLike → GenIterableLike

(defined at scala.collection.IndexedSeqOptimized)


### `def segmentLength(p: (Byte) ⇒ Boolean, from: Int): Int`                 ###

Computes length of longest segment whose elements all satisfy some predicate.

* p
  * the predicate used to test elements.
* from
  * the index where the search starts.
* returns
  * the length of the longest segment of this sequence starting from index
     `from` such that every element of the segment satisfies the predicate `p` .

* Definition Classes
  * IndexedSeqOptimized → SeqLike → GenSeqLike

(defined at scala.collection.IndexedSeqOptimized)


### `def slice(from: Int, until: Int): Array[Byte]`                          ###

Selects an interval of elements. The returned collection is made up of all
elements `x` which satisfy the invariant:

```scala
from <= indexOf(x) < until
```

* returns
  * a sequence containing the elements greater than or equal to index `from`
    extending up to (but not including) index `until` of this sequence.

* Definition Classes
  * IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

(defined at scala.collection.IndexedSeqOptimized)


### `def span(p: (Byte) ⇒ Boolean): (Array[Byte], Array[Byte])`              ###

Splits this sequence into a prefix/suffix pair according to a predicate.

Note: `c span p` is equivalent to (but possibly more efficient than)
 `(c takeWhile p, c dropWhile p)` , provided the evaluation of the predicate
 `p` does not cause any side-effects.

* returns
  * a pair consisting of the longest prefix of this sequence whose elements all
    satisfy `p` , and the rest of this sequence.

* Definition Classes
  * IndexedSeqOptimized → TraversableLike → GenTraversableLike

(defined at scala.collection.IndexedSeqOptimized)


### `def splitAt(n: Int): (Array[Byte], Array[Byte])`                        ###

Splits this sequence into two at a given position. Note: `c splitAt n` is
equivalent to (but possibly more efficient than) `(c take n, c drop n)` .

* n
  * the position at which to split.
* returns
  * a pair of sequences consisting of the first `n` elements of this sequence,
    and the other elements.

* Definition Classes
  * IndexedSeqOptimized → TraversableLike → GenTraversableLike

(defined at scala.collection.IndexedSeqOptimized)


### `def startsWith[B](that: GenSeq[B], offset: Int): Boolean`               ###

Tests whether this sequence contains the given sequence at a given index.

 *Note* : If the both the receiver object `this` and the argument `that` are
infinite sequences this method may not terminate.

* that
  * the sequence to test
* offset
  * the index where the sequence is searched.
* returns
  * `true` if the sequence `that` is contained in this sequence at index
     `offset` , otherwise `false` .

* Definition Classes
  * IndexedSeqOptimized → SeqLike → GenSeqLike

(defined at scala.collection.IndexedSeqOptimized)


### `def tail: Array[Byte]`                                                  ###

Selects all elements except the first.

* returns
  * a sequence consisting of all elements of this sequence except the first one.

* Definition Classes
  * IndexedSeqOptimized → TraversableLike → GenTraversableLike
* Exceptions thrown
  * ``UnsupportedOperationException`` if the sequence is empty.

(defined at scala.collection.IndexedSeqOptimized)


### `def take(n: Int): Array[Byte]`                                          ###

Selects first _n_ elements.

* n
  * the number of elements to take from this sequence.
* returns
  * a sequence consisting only of the first `n` elements of this sequence, or
    else the whole sequence, if it has less than `n` elements.

* Definition Classes
  * IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

(defined at scala.collection.IndexedSeqOptimized)


### `def takeRight(n: Int): Array[Byte]`                                     ###

Selects last _n_ elements.

* n
  * the number of elements to take
* returns
  * a sequence consisting only of the last `n` elements of this sequence, or
    else the whole sequence, if it has less than `n` elements.

* Definition Classes
  * IndexedSeqOptimized → IterableLike

(defined at scala.collection.IndexedSeqOptimized)


### `def takeWhile(p: (Byte) ⇒ Boolean): Array[Byte]`                        ###

Takes longest prefix of elements that satisfy a predicate.

* returns
  * the longest prefix of this sequence whose elements all satisfy the predicate
     `p` .

* Definition Classes
  * IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

(defined at scala.collection.IndexedSeqOptimized)


### `def zipWithIndex[A1 >: Byte, That](implicit bf: CanBuildFrom[Array[Byte], (A1, Int), That]): That` ###

[use case]

Zips this mutable indexed sequence with its indices.

* returns
  * A new mutable indexed sequence containing pairs consisting of all elements
    of this mutable indexed sequence paired with their index. Indices start at
     `0` .

* Definition Classes
  * IndexedSeqOptimized → IterableLike → GenIterableLike

Example:

```scala
List("a", "b", "c").zipWithIndex = List(("a", 0), ("b", 1), ("c", 2))
```

(defined at scala.collection.IndexedSeqOptimized)


### `def zip[A1 >: Byte, B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[Array[Byte], (A1, B), That]): That` ###

[use case]

Returns a mutable indexed sequence formed from this mutable indexed sequence and
another iterable collection by combining corresponding elements in pairs. If one
of the two collections is longer than the other, its remaining elements are
ignored.

* B
  * the type of the second half of the returned pairs
* that
  * The iterable providing the second half of each result pair
* returns
  * a new mutable indexed sequence containing pairs consisting of corresponding
    elements of this mutable indexed sequence and `that` . The length of the
    returned collection is the minimum of the lengths of this mutable indexed
    sequence and `that` .

* Definition Classes
  * IndexedSeqOptimized → IterableLike → GenIterableLike

(defined at scala.collection.IndexedSeqOptimized)


--------------------------------------------------------------------------------
                Value Members From scala.collection.IterableLike
--------------------------------------------------------------------------------


### `def canEqual(that: Any): Boolean`                                       ###

Method called from equality methods, so that user-defined subclasses can refuse
to be equal to other collections of the same kind.

* that
  * The object with which this iterable collection should be compared
* returns
  * `true` , if this iterable collection can possibly equal `that` , `false`
    otherwise. The test takes into consideration only the run-time types of
    objects but ignores their elements.

* Definition Classes
  * IterableLike → Equals

(defined at scala.collection.IterableLike)


### `def grouped(size: Int): Iterator[Array[Byte]]`                          ###

Partitions elements in fixed size iterable collections.

* size
  * the number of elements per group
* returns
  * An iterator producing iterable collections of size `size` , except the last
    will be less than size `size` if the elements don't divide evenly.

* Definition Classes
  * IterableLike
* See also
  * scala.collection.Iterator, method `grouped`

(defined at scala.collection.IterableLike)


### `def sliding(size: Int): Iterator[Array[Byte]]`                          ###

Groups elements in fixed size blocks by passing a "sliding window" over them (as
opposed to partitioning them, as is done in grouped.)

* size
  * the number of elements per group
* returns
  * An iterator producing iterable collections of size `size` , except the last
    and the only element will be truncated if there are fewer elements than
    size.

* Definition Classes
  * IterableLike
* See also
  * scala.collection.Iterator, method `sliding`

(defined at scala.collection.IterableLike)


### `def sliding(size: Int, step: Int): Iterator[Array[Byte]]`               ###

Groups elements in fixed size blocks by passing a "sliding window" over them (as
opposed to partitioning them, as is done in grouped.)

* size
  * the number of elements per group
* step
  * the distance between the first elements of successive groups (defaults to 1)
* returns
  * An iterator producing iterable collections of size `size` , except the last
    and the only element will be truncated if there are fewer elements than
    size.

* Definition Classes
  * IterableLike
* See also
  * scala.collection.Iterator, method `sliding`

(defined at scala.collection.IterableLike)


### `def toIterable: collection.Iterable[Byte]`                              ###

Returns this iterable collection as an iterable collection.

A new collection will not be built; lazy collections will stay lazy.

Note: will not terminate for infinite-sized collections.

* returns
  * an `Iterable` containing all elements of this iterable collection.

* Definition Classes
  * IterableLike → TraversableOnce → GenTraversableOnce

(defined at scala.collection.IterableLike)


### `def toIterator: Iterator[Byte]`                                         ###

Returns an Iterator over the elements in this iterable collection. Produces the
same result as `iterator` .

Note: will not terminate for infinite-sized collections.

* returns
  * an Iterator containing all elements of this iterable collection.

* Definition Classes
  * IterableLike → TraversableLike → GenTraversableOnce
* Annotations
  * @deprecatedOverriding (..., "2.11.0")

(defined at scala.collection.IterableLike)


### `def toStream: immutable.Stream[Byte]`                                   ###

Converts this iterable collection to a stream.

* returns
  * a stream containing all elements of this iterable collection.

* Definition Classes
  * IterableLike → TraversableLike → GenTraversableOnce

(defined at scala.collection.IterableLike)


### `def zipAll[B, A1 >: Byte, That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[Array[Byte], (A1, B), That]): That` ###

[use case]

Returns a mutable indexed sequence formed from this mutable indexed sequence and
another iterable collection by combining corresponding elements in pairs. If one
of the two collections is shorter than the other, placeholder elements are used
to extend the shorter collection to the length of the longer.

* B
  * the type of the second half of the returned pairs
* that
  * The iterable providing the second half of each result pair
* thisElem
  * the element to be used to fill up the result if this mutable indexed
    sequence is shorter than `that` .
* thatElem
  * the element to be used to fill up the result if `that` is shorter than this
    mutable indexed sequence.
* returns
  * a new mutable indexed sequence containing pairs consisting of corresponding
    elements of this mutable indexed sequence and `that` . The length of the
    returned collection is the maximum of the lengths of this mutable indexed
    sequence and `that` . If this mutable indexed sequence is shorter than
     `that` , `thisElem` values are used to pad the result. If `that` is shorter
    than this mutable indexed sequence, `thatElem` values are used to pad the
    result.

* Definition Classes
  * IterableLike → GenIterableLike

(defined at scala.collection.IterableLike)


--------------------------------------------------------------------------------
                  Value Members From scala.collection.SeqLike
--------------------------------------------------------------------------------


### `def +:[B >: Byte, That](elem: B)(implicit bf: CanBuildFrom[Array[Byte], B, That]): That` ###

[use case]

A copy of the mutable indexed sequence with an element prepended.

Note that :-ending operators are right associative (see example). A mnemonic for
 `+:` vs. `:+` is: the COLon goes on the COLlection side.

Also, the original mutable indexed sequence is not modified, so you will want to
capture the result.

Example:

```scala
scala> val x = List(1)
x: List[Int] = List(1)

scala> val y = 2 +: x
y: List[Int] = List(2, 1)

scala> println(x)
List(1)
```

* elem
  * the prepended element
* returns
  * a new mutable indexed sequence consisting of `elem` followed by all elements
    of this mutable indexed sequence.

* Definition Classes
  * SeqLike → GenSeqLike

(defined at scala.collection.SeqLike)


### `def :+[B >: Byte, That](elem: B)(implicit bf: CanBuildFrom[Array[Byte], B, That]): That` ###

[use case]

A copy of this mutable indexed sequence with an element appended.

A mnemonic for `+:` vs. `:+` is: the COLon goes on the COLlection side.

Example:

```scala
scala> val a = List(1)
a: List[Int] = List(1)

scala> val b = a :+ 2
b: List[Int] = List(1, 2)

scala> println(a)
List(1)
```

* elem
  * the appended element
* returns
  * a new mutable indexed sequence consisting of all elements of this mutable
    indexed sequence followed by `elem` .

* Definition Classes
  * SeqLike → GenSeqLike

(defined at scala.collection.SeqLike)


### `def combinations(n: Int): Iterator[Array[Byte]]`                        ###

Iterates over combinations. A _combination_ of length `n` is a subsequence of
the original sequence, with the elements taken in order. Thus, `"xy"` and
 `"yy"` are both length-2 combinations of `"xyy"` , but `"yx"` is not. If there
is more than one way to generate the same subsequence, only one will be
returned.

For example, `"xyyy"` has three different ways to generate `"xy"` depending on
whether the first, second, or third `"y"` is selected. However, since all are
identical, only one will be chosen. Which of the three will be taken is an
implementation detail that is not defined.

* returns
  * An Iterator which traverses the possible n-element combinations of this
    sequence.

* Definition Classes
  * SeqLike

Example:

```scala
"abbbc".combinations(2) = Iterator(ab, ac, bb, bc)
```

(defined at scala.collection.SeqLike)


### `def containsSlice[B](that: GenSeq[B]): Boolean`                         ###

Tests whether this sequence contains a given sequence as a slice.

Note: may not terminate for infinite-sized collections.

* that
  * the sequence to test
* returns
  * `true` if this sequence contains a slice with the same elements as `that` ,
    otherwise `false` .

* Definition Classes
  * SeqLike

(defined at scala.collection.SeqLike)


### `def contains[A1 >: Byte](elem: A1): Boolean`                            ###

Tests whether this sequence contains a given value as an element.

Note: may not terminate for infinite-sized collections.

* elem
  * the element to test.
* returns
  * `true` if this sequence has an element that is equal (as determined by `==` )
    to `elem` , `false` otherwise.

* Definition Classes
  * SeqLike

(defined at scala.collection.SeqLike)


### `def corresponds[B](that: GenSeq[B])(p: (Byte, B) ⇒ Boolean): Boolean`   ###

Tests whether every element of this sequence relates to the corresponding
element of another sequence by satisfying a test predicate.

* B
  * the type of the elements of `that`
* that
  * the other sequence
* p
  * the test predicate, which relates elements from both sequences
* returns
  * `true` if both sequences have the same length and `p(x, y)` is `true` for
    all corresponding elements `x` of this sequence and `y` of `that` ,
    otherwise `false` .

* Definition Classes
  * SeqLike → GenSeqLike

(defined at scala.collection.SeqLike)


### `def diff[B >: Byte](that: GenSeq[B]): Array[Byte]`                      ###

[use case]

Computes the multiset difference between this mutable indexed sequence and
another sequence.

* that
  * the sequence of elements to remove
* returns
  * a new mutable indexed sequence which contains all elements of this mutable
    indexed sequence except some of occurrences of elements that also appear in
     `that` . If an element value `x` appears _n_ times in `that` , then the
    first _n_ occurrences of `x` will not form part of the result, but any
    following occurrences will.

* Definition Classes
  * SeqLike → GenSeqLike

(defined at scala.collection.SeqLike)


### `def distinct: Array[Byte]`                                              ###

Builds a new sequence from this sequence without any duplicate elements.

Note: will not terminate for infinite-sized collections.

* returns
  * A new sequence which contains the first occurrence of every element of this
    sequence.

* Definition Classes
  * SeqLike → GenSeqLike

(defined at scala.collection.SeqLike)


### `def indexOfSlice[B >: Byte](that: GenSeq[B]): Int`                      ###

Finds first index where this sequence contains a given sequence as a slice.

Note: may not terminate for infinite-sized collections.

* that
  * the sequence to test
* returns
  * the first index such that the elements of this sequence starting at this
    index match the elements of sequence `that` , or `-1` of no such subsequence
    exists.

* Definition Classes
  * SeqLike

(defined at scala.collection.SeqLike)


### `def indexOfSlice[B >: Byte](that: GenSeq[B], from: Int): Int`           ###

Finds first index after or at a start index where this sequence contains a given
sequence as a slice.

Note: may not terminate for infinite-sized collections.

* that
  * the sequence to test
* from
  * the start index
* returns
  * the first index `>= from` such that the elements of this sequence starting
    at this index match the elements of sequence `that` , or `-1` of no such
    subsequence exists.

* Definition Classes
  * SeqLike

(defined at scala.collection.SeqLike)


### `def indices: immutable.Range`                                           ###

Produces the range of all indices of this sequence.

* returns
  * a `Range` value from `0` to one less than the length of this sequence.

* Definition Classes
  * SeqLike

(defined at scala.collection.SeqLike)


### `def intersect[B >: Byte](that: GenSeq[B]): Array[Byte]`                 ###

[use case]

Computes the multiset intersection between this mutable indexed sequence and
another sequence.

* that
  * the sequence of elements to intersect with.
* returns
  * a new mutable indexed sequence which contains all elements of this mutable
    indexed sequence which also appear in `that` . If an element value `x`
    appears _n_ times in `that` , then the first _n_ occurrences of `x` will be
    retained in the result, but any following occurrences will be omitted.

* Definition Classes
  * SeqLike → GenSeqLike

(defined at scala.collection.SeqLike)


### `def lastIndexOfSlice[B >: Byte](that: GenSeq[B]): Int`                  ###

Finds last index where this sequence contains a given sequence as a slice.

Note: will not terminate for infinite-sized collections.

* that
  * the sequence to test
* returns
  * the last index such that the elements of this sequence starting a this index
    match the elements of sequence `that` , or `-1` of no such subsequence
    exists.

* Definition Classes
  * SeqLike

(defined at scala.collection.SeqLike)


### `def lastIndexOfSlice[B >: Byte](that: GenSeq[B], end: Int): Int`        ###

Finds last index before or at a given end index where this sequence contains a
given sequence as a slice.

* that
  * the sequence to test
* end
  * the end index
* returns
  * the last index `<= end` such that the elements of this sequence starting at
    this index match the elements of sequence `that` , or `-1` of no such
    subsequence exists.

* Definition Classes
  * SeqLike

(defined at scala.collection.SeqLike)


### `def padTo[B >: Byte, That](len: Int, elem: B)(implicit bf: CanBuildFrom[Array[Byte], B, That]): That` ###

[use case]

A copy of this mutable indexed sequence with an element value appended until a
given target length is reached.

* len
  * the target length
* elem
  * the padding value
* returns
  * a new mutable indexed sequence consisting of all elements of this mutable
    indexed sequence followed by the minimal number of occurrences of `elem` so
    that the resulting mutable indexed sequence has a length of at least `len` .

* Definition Classes
  * SeqLike → GenSeqLike

(defined at scala.collection.SeqLike)


### `def patch[B >: Byte, That](from: Int, patch: GenSeq[B], replaced: Int)(implicit bf: CanBuildFrom[Array[Byte], B, That]): That` ###

[use case]

Produces a new mutable indexed sequence where a slice of elements in this
mutable indexed sequence is replaced by another sequence.

* from
  * the index of the first replaced element
* replaced
  * the number of elements to drop in the original mutable indexed sequence
* returns
  * a new mutable indexed sequence consisting of all elements of this mutable
    indexed sequence except that `replaced` elements starting from `from` are
    replaced by `patch` .

* Definition Classes
  * SeqLike → GenSeqLike

(defined at scala.collection.SeqLike)


### `def permutations: Iterator[Array[Byte]]`                                ###

Iterates over distinct permutations.

* returns
  * An Iterator which traverses the distinct permutations of this sequence.

* Definition Classes
  * SeqLike

Example:

```scala
"abb".permutations = Iterator(abb, bab, bba)
```

(defined at scala.collection.SeqLike)


### `def reverseMap[B, That](f: (Byte) ⇒ B)(implicit bf: CanBuildFrom[Array[Byte], B, That]): That` ###

[use case]

Builds a new collection by applying a function to all elements of this mutable
indexed sequence and collecting the results in reversed order.

Note: `xs.reverseMap(f)` is the same as `xs.reverse.map(f)` but might be more
efficient.

* B
  * the element type of the returned collection.
* f
  * the function to apply to each element.
* returns
  * a new mutable indexed sequence resulting from applying the given function
     `f` to each element of this mutable indexed sequence and collecting the
    results in reversed order.

* Definition Classes
  * SeqLike → GenSeqLike

(defined at scala.collection.SeqLike)


### `def size: Int`                                                          ###

The size of this sequence, equivalent to `length` .

Note: will not terminate for infinite-sized collections.

* returns
  * the number of elements in this sequence.

* Definition Classes
  * SeqLike → GenTraversableLike → TraversableOnce → GenTraversableOnce

(defined at scala.collection.SeqLike)


### `def sortBy[B](f: (Byte) ⇒ B)(implicit ord: math.Ordering[B]): Array[Byte]` ###

Sorts this `Seq` according to the Ordering which results from transforming an
implicitly given Ordering with a transformation function.

* B
  * the target type of the transformation `f` , and the type where the ordering
     `ord` is defined.
* f
  * the transformation function mapping elements to some other domain `B` .
* ord
  * the ordering assumed on domain `B` .
* returns
  * a sequence consisting of the elements of this sequence sorted according to
    the ordering where `x < y` if `ord.lt(f(x), f(y))` .

* Definition Classes
  * SeqLike
* See also
  * scala.math.Ordering Note: will not terminate for infinite-sized collections.

Example:

```scala
val words = "The quick brown fox jumped over the lazy dog".split(' ')
// this works because scala.Ordering will implicitly provide an Ordering[Tuple2[Int, Char]]
words.sortBy(x => (x.length, x.head))
res0: Array[String] = Array(The, dog, fox, the, lazy, over, brown, quick, jumped)
```

(defined at scala.collection.SeqLike)


### `def sortWith(lt: (Byte, Byte) ⇒ Boolean): Array[Byte]`                  ###

Sorts this sequence according to a comparison function.

Note: will not terminate for infinite-sized collections.

The sort is stable. That is, elements that are equal (as determined by `lt` )
appear in the same order in the sorted sequence as in the original.

* lt
  * the comparison function which tests whether its first argument precedes its
    second argument in the desired ordering.
* returns
  * a sequence consisting of the elements of this sequence sorted according to
    the comparison function `lt` .

* Definition Classes
  * SeqLike

Example:

```scala
List("Steve", "Tom", "John", "Bob").sortWith(_.compareTo(_) < 0) =
List("Bob", "John", "Steve", "Tom")
```

(defined at scala.collection.SeqLike)


### `def sorted[B >: Byte](implicit ord: math.Ordering[B]): Array[Byte]`     ###

Sorts this sequence according to an Ordering.

The sort is stable. That is, elements that are equal (as determined by `lt` )
appear in the same order in the sorted sequence as in the original.

* ord
  * the ordering to be used to compare elements.
* returns
  * a sequence consisting of the elements of this sequence sorted according to
    the ordering `ord` .

* Definition Classes
  * SeqLike
* See also
  * scala.math.Ordering

(defined at scala.collection.SeqLike)


### `def toSeq: collection.Seq[Byte]`                                        ###

Converts this sequence to a sequence.

Note: will not terminate for infinite-sized collections.

A new collection will not be built; in particular, lazy sequences will stay
lazy.

* returns
  * a sequence containing all elements of this sequence.

* Definition Classes
  * SeqLike → GenSeqLike → TraversableOnce → GenTraversableOnce

(defined at scala.collection.SeqLike)


### `def toString(): String`                                                 ###

Converts this sequence to a string.

* returns
  * a string representation of this collection. By default this string consists
    of the `stringPrefix` of this sequence, followed by all elements separated
    by commas and enclosed in parentheses.

* Definition Classes
  * SeqLike → TraversableLike → Any

(defined at scala.collection.SeqLike)


### `def union[B >: Byte, That](that: GenSeq[B])(implicit bf: CanBuildFrom[Array[Byte], B, That]): That` ###

[use case]

Produces a new sequence which contains all elements of this mutable indexed
sequence and also all elements of a given sequence. `xs union ys` is equivalent
to `xs ++ ys` .

Another way to express this is that `xs union ys` computes the order-presevring
multi-set union of `xs` and `ys` . `union` is hence a counter-part of `diff` and
 `intersect` which also work on multi-sets.

* that
  * the sequence to add.
* returns
  * a new mutable indexed sequence which contains all elements of this mutable
    indexed sequence followed by all elements of `that` .

* Definition Classes
  * SeqLike → GenSeqLike

(defined at scala.collection.SeqLike)


### `def updated[B >: Byte, That](index: Int, elem: B)(implicit bf: CanBuildFrom[Array[Byte], B, That]): That` ###

[use case]

A copy of this mutable indexed sequence with one single replaced element.

* index
  * the position of the replacement
* elem
  * the replacing element
* returns
  * a copy of this mutable indexed sequence with the element at position
     `index` replaced by `elem` .

* Definition Classes
  * SeqLike → GenSeqLike

(defined at scala.collection.SeqLike)


--------------------------------------------------------------------------------
              Value Members From scala.collection.TraversableLike
--------------------------------------------------------------------------------


### `def ++:[B >: Byte, That](that: collection.Traversable[B])(implicit bf: CanBuildFrom[Array[Byte], B, That]): That` ###

As with `++` , returns a new collection containing the elements from the left
operand followed by the elements from the right operand.

It differs from `++` in that the right operand determines the type of the
resulting collection rather than the left one. Mnemonic: the COLon is on the
side of the new COLlection type.

Example:

```scala
scala> val x = List(1)
x: List[Int] = List(1)

scala> val y = LinkedList(2)
y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

scala> val z = x ++: y
z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)
```

This overload exists because: for the implementation of `++:` we should reuse
that of `++` because many collections override it with more efficient versions.

Since `TraversableOnce` has no `++` method, we have to implement that directly,
but `Traversable` and down can use the overload.

* B
  * the element type of the returned collection.
* That
  * the class of the returned collection. Where possible, `That` is the same
    class as the current collection class `Repr` , but this depends on the
    element type `B` being admissible for that class, which means that an
    implicit instance of type `CanBuildFrom[Repr, B, That]` is found.
* that
  * the traversable to append.
* bf
  * an implicit value of class `CanBuildFrom` which determines the result class
     `That` from the current representation type `Repr` and and the new element
    type `B` .
* returns
  * a new collection of type `That` which contains all elements of this
    traversable collection followed by all elements of `that` .

* Definition Classes
  * TraversableLike

(defined at scala.collection.TraversableLike)


### `def ++:[B >: Byte, That](that: TraversableOnce[B])(implicit bf: CanBuildFrom[Array[Byte], B, That]): That` ###

[use case]

As with `++` , returns a new collection containing the elements from the left
operand followed by the elements from the right operand.

It differs from `++` in that the right operand determines the type of the
resulting collection rather than the left one. Mnemonic: the COLon is on the
side of the new COLlection type.

Example:

```scala
scala> val x = List(1)
x: List[Int] = List(1)

scala> val y = LinkedList(2)
y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

scala> val z = x ++: y
z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)
```

* B
  * the element type of the returned collection.
* that
  * the traversable to append.
* returns
  * a new mutable indexed sequence which contains all elements of this mutable
    indexed sequence followed by all elements of `that` .

* Definition Classes
  * TraversableLike

(defined at scala.collection.TraversableLike)


### `def ++[B >: Byte, That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[Array[Byte], B, That]): That` ###

[use case]

Returns a new mutable indexed sequence containing the elements from the left
hand operand followed by the elements from the right hand operand. The element
type of the mutable indexed sequence is the most specific superclass
encompassing the element types of the two operands.

Example:

```scala
scala> val a = List(1)
a: List[Int] = List(1)

scala> val b = List(2)
b: List[Int] = List(2)

scala> val c = a ++ b
c: List[Int] = List(1, 2)

scala> val d = List('a')
d: List[Char] = List(a)

scala> val e = c ++ d
e: List[AnyVal] = List(1, 2, a)
```

* B
  * the element type of the returned collection.
* that
  * the traversable to append.
* returns
  * a new mutable indexed sequence which contains all elements of this mutable
    indexed sequence followed by all elements of `that` .

* Definition Classes
  * TraversableLike → GenTraversableLike

(defined at scala.collection.TraversableLike)


### `def collect[B, That](pf: PartialFunction[Byte, B])(implicit bf: CanBuildFrom[Array[Byte], B, That]): That` ###

[use case]

Builds a new collection by applying a partial function to all elements of this
mutable indexed sequence on which the function is defined.

* B
  * the element type of the returned collection.
* pf
  * the partial function which filters and maps the mutable indexed sequence.
* returns
  * a new mutable indexed sequence resulting from applying the given partial
    function `pf` to each element on which it is defined and collecting the
    results. The order of the elements is preserved.

* Definition Classes
  * TraversableLike → GenTraversableLike

(defined at scala.collection.TraversableLike)


### `def filter(p: (Byte) ⇒ Boolean): Array[Byte]`                           ###

Selects all elements of this traversable collection which satisfy a predicate.

* p
  * the predicate used to test elements.
* returns
  * a new traversable collection consisting of all elements of this traversable
    collection that satisfy the given predicate `p` . The order of the elements
    is preserved.

* Definition Classes
  * TraversableLike → GenTraversableLike

(defined at scala.collection.TraversableLike)


### `def filterNot(p: (Byte) ⇒ Boolean): Array[Byte]`                        ###

Selects all elements of this traversable collection which do not satisfy a
predicate.

* p
  * the predicate used to test elements.
* returns
  * a new traversable collection consisting of all elements of this traversable
    collection that do not satisfy the given predicate `p` . The order of the
    elements is preserved.

* Definition Classes
  * TraversableLike → GenTraversableLike

(defined at scala.collection.TraversableLike)


### `def flatMap[B, That](f: (Byte) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[Array[Byte], B, That]): That` ###

[use case]

Builds a new collection by applying a function to all elements of this mutable
indexed sequence and using the elements of the resulting collections.

For example:

```scala
def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")
```

The type of the resulting collection is guided by the static type of mutable
indexed sequence. This might cause unexpected results sometimes. For example:

```scala
// lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

// lettersOf will return a Set[Char], not a Seq
def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

// xs will be an Iterable[Int]
val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

// ys will be a Map[Int, Int]
val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)
```

* B
  * the element type of the returned collection.
* f
  * the function to apply to each element.
* returns
  * a new mutable indexed sequence resulting from applying the given
    collection-valued function `f` to each element of this mutable indexed
    sequence and concatenating the results.

* Definition Classes
  * TraversableLike → GenTraversableLike → FilterMonadic

(defined at scala.collection.TraversableLike)


### `def groupBy[K](f: (Byte) ⇒ K): immutable.Map[K, Array[Byte]]`           ###

Partitions this traversable collection into a map of traversable collections
according to some discriminator function.

Note: this method is not re-implemented by views. This means when applied to a
view it will always force the view and return a new traversable collection.

* K
  * the type of keys returned by the discriminator function.
* f
  * the discriminator function.
* returns
  * A map from keys to traversable collections such that the following invariant
    holds:

    ```scala
    (xs groupBy f)(k) = xs filter (x => f(x) == k)
    ```

    That is, every key `k` is bound to a traversable collection of those
    elements `x` for which `f(x)` equals `k` .

* Definition Classes
  * TraversableLike → GenTraversableLike

(defined at scala.collection.TraversableLike)


### `def hasDefiniteSize: Boolean`                                           ###

Tests whether this traversable collection is known to have a finite size. All
strict collections are known to have finite size. For a non-strict collection
such as `Stream` , the predicate returns `true` if all elements have been
computed. It returns `false` if the stream is not yet evaluated to the end.

Note: many collection methods will not work on collections of infinite sizes.

* returns
  * `true` if this collection is known to have finite size, `false` otherwise.

* Definition Classes
  * TraversableLike → TraversableOnce → GenTraversableOnce

(defined at scala.collection.TraversableLike)


### `def headOption: Option[Byte]`                                           ###

Optionally selects the first element.

Note: might return different results for different runs, unless the underlying
collection type is ordered.

* returns
  * the first element of this traversable collection if it is nonempty, `None`
    if it is empty.

* Definition Classes
  * TraversableLike → GenTraversableLike

(defined at scala.collection.TraversableLike)


### `def inits: Iterator[Array[Byte]]`                                       ###

Iterates over the inits of this traversable collection. The first value will be
this traversable collection and the final one will be an empty traversable
collection, with the intervening values the results of successive applications
of `init` .

* returns
  * an iterator over all the inits of this traversable collection

* Definition Classes
  * TraversableLike

Example:

```scala
List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)
```

(defined at scala.collection.TraversableLike)


### `final def isTraversableAgain: Boolean`                                  ###

Tests whether this traversable collection can be repeatedly traversed.

* returns
  * `true`

* Definition Classes
  * TraversableLike → GenTraversableLike → GenTraversableOnce

(defined at scala.collection.TraversableLike)


### `def lastOption: Option[Byte]`                                           ###

Optionally selects the last element.

Note: might return different results for different runs, unless the underlying
collection type is ordered.

* returns
  * the last element of this traversable collection$ if it is nonempty, `None`
    if it is empty.

* Definition Classes
  * TraversableLike → GenTraversableLike

(defined at scala.collection.TraversableLike)


### `def map[B, That](f: (Byte) ⇒ B)(implicit bf: CanBuildFrom[Array[Byte], B, That]): That` ###

[use case]

Builds a new collection by applying a function to all elements of this mutable
indexed sequence.

* B
  * the element type of the returned collection.
* f
  * the function to apply to each element.
* returns
  * a new mutable indexed sequence resulting from applying the given function
     `f` to each element of this mutable indexed sequence and collecting the
    results.

* Definition Classes
  * TraversableLike → GenTraversableLike → FilterMonadic

(defined at scala.collection.TraversableLike)


### `def partition(p: (Byte) ⇒ Boolean): (Array[Byte], Array[Byte])`         ###

Partitions this traversable collection in two traversable collections according
to a predicate.

* p
  * the predicate on which to partition.
* returns
  * a pair of traversable collections: the first traversable collection consists
    of all elements that satisfy the predicate `p` and the second traversable
    collection consists of all elements that don't. The relative order of the
    elements in the resulting traversable collections is the same as in the
    original traversable collection.

* Definition Classes
  * TraversableLike → GenTraversableLike

(defined at scala.collection.TraversableLike)


### `def scanLeft[B, That](z: B)(op: (B, Byte) ⇒ B)(implicit bf: CanBuildFrom[Array[Byte], B, That]): That` ###

Produces a collection containing cumulative results of applying the operator
going left to right.

Note: will not terminate for infinite-sized collections.

Note: might return different results for different runs, unless the underlying
collection type is ordered.

* B
  * the type of the elements in the resulting collection
* That
  * the actual type of the resulting collection
* z
  * the initial value
* op
  * the binary operator applied to the intermediate result and the element
* bf
  * an implicit value of class `CanBuildFrom` which determines the result class
     `That` from the current representation type `Repr` and and the new element
    type `B` .
* returns
  * collection with intermediate results

* Definition Classes
  * TraversableLike → GenTraversableLike

(defined at scala.collection.TraversableLike)


### `def scanRight[B, That](z: B)(op: (Byte, B) ⇒ B)(implicit bf: CanBuildFrom[Array[Byte], B, That]): That` ###

Produces a collection containing cumulative results of applying the operator
going right to left. The head of the collection is the last cumulative result.

Note: will not terminate for infinite-sized collections.

Note: might return different results for different runs, unless the underlying
collection type is ordered.

Example:

```scala
List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)
```

* B
  * the type of the elements in the resulting collection
* That
  * the actual type of the resulting collection
* z
  * the initial value
* op
  * the binary operator applied to the intermediate result and the element
* bf
  * an implicit value of class `CanBuildFrom` which determines the result class
     `That` from the current representation type `Repr` and and the new element
    type `B` .
* returns
  * collection with intermediate results

* Definition Classes
  * TraversableLike → GenTraversableLike
* Annotations
  * @migration
* Migration
  * _(Changed in version 2.9.0)_ The behavior of `scanRight` has changed. The
    previous behavior can be reproduced with scanRight.reverse.

(defined at scala.collection.TraversableLike)


### `def scan[B >: Byte, That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[Array[Byte], B, That]): That` ###

Computes a prefix scan of the elements of the collection.

Note: The neutral element `z` may be applied more than once.

* B
  * element type of the resulting collection
* That
  * type of the resulting collection
* z
  * neutral element for the operator `op`
* op
  * the associative operator for the scan
* cbf
  * combiner factory which provides a combiner
* returns
  * a new traversable collection containing the prefix scan of the elements in
    this traversable collection

* Definition Classes
  * TraversableLike → GenTraversableLike

(defined at scala.collection.TraversableLike)


### `def stringPrefix: String`                                               ###

Defines the prefix of this object's `toString` representation.

* returns
  * a string representation which starts the result of `toString` applied to
    this traversable collection. By default the string prefix is the simple name
    of the collection class traversable collection.

* Definition Classes
  * TraversableLike → GenTraversableLike

(defined at scala.collection.TraversableLike)


### `def tails: Iterator[Array[Byte]]`                                       ###

Iterates over the tails of this traversable collection. The first value will be
this traversable collection and the final one will be an empty traversable
collection, with the intervening values the results of successive applications
of `tail` .

* returns
  * an iterator over all the tails of this traversable collection

* Definition Classes
  * TraversableLike

Example:

```scala
List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)
```

(defined at scala.collection.TraversableLike)


### `def toTraversable: collection.Traversable[Byte]`                        ###

Converts this traversable collection to an unspecified Traversable. Will return
the same collection if this instance is already Traversable.

Note: will not terminate for infinite-sized collections.

* returns
  * a Traversable containing all elements of this traversable collection.

* Definition Classes
  * TraversableLike → TraversableOnce → GenTraversableOnce
* Annotations
  * @deprecatedOverriding (..., "2.11.0")

(defined at scala.collection.TraversableLike)


### `def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, Byte, Col[Byte]]): Col[Byte]` ###

[use case]

Converts this mutable indexed sequence into another by copying all elements.

* Col
  * The collection type to build.
* returns
  * a new collection containing all elements of this mutable indexed sequence.

* Definition Classes
  * TraversableLike → TraversableOnce → GenTraversableOnce

(defined at scala.collection.TraversableLike)


### `def withFilter(p: (Byte) ⇒ Boolean): FilterMonadic[Byte, Array[Byte]]`  ###

Creates a non-strict filter of this traversable collection.

Note: the difference between `c filter p` and `c withFilter p` is that the
former creates a new collection, whereas the latter only restricts the domain of
subsequent `map` , `flatMap` , `foreach` , and `withFilter` operations.

Note: might return different results for different runs, unless the underlying
collection type is ordered.

* p
  * the predicate used to test elements.
* returns
  * an object of class `WithFilter` , which supports `map` , `flatMap` ,
     `foreach` , and `withFilter` operations. All these operations apply to
    those elements of this traversable collection which satisfy the predicate
     `p` .

* Definition Classes
  * TraversableLike → FilterMonadic

(defined at scala.collection.TraversableLike)


--------------------------------------------------------------------------------
              Value Members From scala.collection.TraversableOnce
--------------------------------------------------------------------------------


### `def /:[B](z: B)(op: (B, Byte) ⇒ B): B`                                  ###

Applies a binary operator to a start value and all elements of this traversable
or iterator, going left to right.

Note: `/:` is alternate syntax for `foldLeft` ; `z /: xs` is the same as
 `xs foldLeft z` .

Examples:

Note that the folding function used to compute b is equivalent to that used to
compute c.

```scala
scala> val a = List(1,2,3,4)
a: List[Int] = List(1, 2, 3, 4)

scala> val b = (5 /: a)(_+_)
b: Int = 15

scala> val c = (5 /: a)((x,y) => x + y)
c: Int = 15
```

Note: will not terminate for infinite-sized collections.

Note: might return different results for different runs, unless the underlying
collection type is ordered or the operator is associative and commutative.

* B
  * the result type of the binary operator.
* z
  * the start value.
* op
  * the binary operator.
* returns
  * the result of inserting `op` between consecutive elements of this
    traversable or iterator, going left to right with the start value `z` on the
    left:

    ```scala
    op(...op(op(z, x_1), x_2), ..., x_n)
    ```

    where `x1, ..., xn` are the elements of this traversable or iterator.

* Definition Classes
  * TraversableOnce → GenTraversableOnce

(defined at scala.collection.TraversableOnce)


### `def :\[B](z: B)(op: (Byte, B) ⇒ B): B`                                  ###

Applies a binary operator to all elements of this traversable or iterator and a
start value, going right to left.

Note: `:\` is alternate syntax for `foldRight` ; `xs :\ z` is the same as
 `xs foldRight z` .

Note: will not terminate for infinite-sized collections.

Note: might return different results for different runs, unless the underlying
collection type is ordered or the operator is associative and commutative.

Examples:

Note that the folding function used to compute b is equivalent to that used to
compute c.

```scala
scala> val a = List(1,2,3,4)
a: List[Int] = List(1, 2, 3, 4)

scala> val b = (a :\ 5)(_+_)
b: Int = 15

scala> val c = (a :\ 5)((x,y) => x + y)
c: Int = 15
```

* B
  * the result type of the binary operator.
* z
  * the start value
* op
  * the binary operator
* returns
  * the result of inserting `op` between consecutive elements of this
    traversable or iterator, going right to left with the start value `z` on the
    right:

    ```scala
    op(x_1, op(x_2, ... op(x_n, z)...))
    ```

    where `x1, ..., xn` are the elements of this traversable or iterator.

* Definition Classes
  * TraversableOnce → GenTraversableOnce

(defined at scala.collection.TraversableOnce)


### `def addString(b: scala.StringBuilder): scala.StringBuilder`             ###

Appends all elements of this traversable or iterator to a string builder. The
written text consists of the string representations (w.r.t. the method
 `toString` ) of all elements of this traversable or iterator without any
separator string.

Example:

```scala
scala> val a = List(1,2,3,4)
a: List[Int] = List(1, 2, 3, 4)

scala> val b = new StringBuilder()
b: StringBuilder =

scala> val h = a.addString(b)
h: StringBuilder = 1234
```

* b
  * the string builder to which elements are appended.
* returns
  * the string builder `b` to which elements were appended.

* Definition Classes
  * TraversableOnce

(defined at scala.collection.TraversableOnce)


### `def addString(b: scala.StringBuilder, sep: String): scala.StringBuilder` ###

Appends all elements of this traversable or iterator to a string builder using a
separator string. The written text consists of the string representations
(w.r.t. the method `toString` ) of all elements of this traversable or iterator,
separated by the string `sep` .

Example:

```scala
scala> val a = List(1,2,3,4)
a: List[Int] = List(1, 2, 3, 4)

scala> val b = new StringBuilder()
b: StringBuilder =

scala> a.addString(b, ", ")
res0: StringBuilder = 1, 2, 3, 4
```

* b
  * the string builder to which elements are appended.
* sep
  * the separator string.
* returns
  * the string builder `b` to which elements were appended.

* Definition Classes
  * TraversableOnce

(defined at scala.collection.TraversableOnce)


### `def addString(b: scala.StringBuilder, start: String, sep: String, end: String): scala.StringBuilder` ###

Appends all elements of this traversable or iterator to a string builder using
start, end, and separator strings. The written text begins with the string
 `start` and ends with the string `end` . Inside, the string representations
(w.r.t. the method `toString` ) of all elements of this traversable or iterator
are separated by the string `sep` .

Example:

```scala
scala> val a = List(1,2,3,4)
a: List[Int] = List(1, 2, 3, 4)

scala> val b = new StringBuilder()
b: StringBuilder =

scala> a.addString(b , "List(" , ", " , ")")
res5: StringBuilder = List(1, 2, 3, 4)
```

* b
  * the string builder to which elements are appended.
* start
  * the starting string.
* sep
  * the separator string.
* end
  * the ending string.
* returns
  * the string builder `b` to which elements were appended.

* Definition Classes
  * TraversableOnce

(defined at scala.collection.TraversableOnce)


### `def aggregate[B](z: ⇒ B)(seqop: (B, Byte) ⇒ B, combop: (B, B) ⇒ B): B`  ###

Aggregates the results of applying an operator to subsequent elements.

This is a more general form of `fold` and `reduce` . It has similar semantics,
but does not require the result to be a supertype of the element type. It
traverses the elements in different partitions sequentially, using `seqop` to
update the result, and then applies `combop` to results from different
partitions. The implementation of this operation may operate on an arbitrary
number of collection partitions, so `combop` may be invoked an arbitrary number
of times.

For example, one might want to process some elements and then produce a `Set` .
In this case, `seqop` would process an element and append it to the list, while
 `combop` would concatenate two lists from different partitions together. The
initial value `z` would be an empty set.

```scala
pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)
```

Another example is calculating geometric mean from a collection of doubles (one
would typically require big doubles for this).

* B
  * the type of accumulated results
* z
  * the initial value for the accumulated result of the partition - this will
    typically be the neutral element for the `seqop` operator (e.g. `Nil` for
    list concatenation or `0` for summation) and may be evaluated more than once
* seqop
  * an operator used to accumulate results within a partition
* combop
  * an associative operator used to combine results from different partitions

* Definition Classes
  * TraversableOnce → GenTraversableOnce

(defined at scala.collection.TraversableOnce)


### `def collectFirst[B](pf: PartialFunction[Byte, B]): Option[B]`           ###

Finds the first element of the traversable or iterator for which the given
partial function is defined, and applies the partial function to it.

Note: may not terminate for infinite-sized collections.

Note: might return different results for different runs, unless the underlying
collection type is ordered.

* pf
  * the partial function
* returns
  * an option value containing pf applied to the first value for which it is
    defined, or `None` if none exists.

* Definition Classes
  * TraversableOnce

Example:

```scala
Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)
```

(defined at scala.collection.TraversableOnce)


### `def copyToArray[B >: Byte](xs: Array[B]): Unit`                         ###

[use case]

Copies values of this mutable indexed sequence to an array. Fills the given
array `xs` with values of this mutable indexed sequence. Copying will stop once
either the end of the current mutable indexed sequence is reached, or the end of
the array is reached.

* xs
  * the array to fill.

* Definition Classes
  * TraversableOnce → GenTraversableOnce

(defined at scala.collection.TraversableOnce)


### `def copyToArray[B >: Byte](xs: Array[B], start: Int): Unit`             ###

[use case]

Copies values of this mutable indexed sequence to an array. Fills the given
array `xs` with values of this mutable indexed sequence, beginning at index
 `start` . Copying will stop once either the end of the current mutable indexed
sequence is reached, or the end of the array is reached.

* xs
  * the array to fill.
* start
  * the starting index.

* Definition Classes
  * TraversableOnce → GenTraversableOnce

(defined at scala.collection.TraversableOnce)


### `def copyToBuffer[B >: Byte](dest: Buffer[B]): Unit`                     ###

Copies all elements of this traversable or iterator to a buffer.

Note: will not terminate for infinite-sized collections.

* dest
  * The buffer to which elements are copied.

* Definition Classes
  * TraversableOnce

(defined at scala.collection.TraversableOnce)


### `def count(p: (Byte) ⇒ Boolean): Int`                                    ###

Counts the number of elements in the traversable or iterator which satisfy a
predicate.

* p
  * the predicate used to test elements.
* returns
  * the number of elements satisfying the predicate `p` .

* Definition Classes
  * TraversableOnce → GenTraversableOnce

(defined at scala.collection.TraversableOnce)


### `def fold[A1 >: Byte](z: A1)(op: (A1, A1) ⇒ A1): A1`                     ###

Folds the elements of this traversable or iterator using the specified
associative binary operator.

The order in which operations are performed on elements is unspecified and may
be nondeterministic.

* A1
  * a type parameter for the binary operator, a supertype of `A` .
* z
  * a neutral element for the fold operation; may be added to the result an
    arbitrary number of times, and must not change the result (e.g., `Nil` for
    list concatenation, 0 for addition, or 1 for multiplication.)
* op
  * a binary operator that must be associative
* returns
  * the result of applying fold operator `op` between all the elements and `z`

* Definition Classes
  * TraversableOnce → GenTraversableOnce

(defined at scala.collection.TraversableOnce)


### `def max[B >: Byte](implicit cmp: Ordering[B]): Byte`                    ###

[use case]

Finds the largest element.

* returns
  * the largest element of this mutable indexed sequence.

* Definition Classes
  * TraversableOnce → GenTraversableOnce

(defined at scala.collection.TraversableOnce)


### `def maxBy[B](f: (Byte) ⇒ B)(implicit cmp: Ordering[B]): Byte`           ###

[use case]

Finds the first element which yields the largest value measured by function f.

* B
  * The result type of the function f.
* f
  * The measuring function.
* returns
  * the first element of this mutable indexed sequence with the largest value
    measured by function f.

* Definition Classes
  * TraversableOnce → GenTraversableOnce

(defined at scala.collection.TraversableOnce)


### `def min[B >: Byte](implicit cmp: Ordering[B]): Byte`                    ###

[use case]

Finds the smallest element.

* returns
  * the smallest element of this mutable indexed sequence

* Definition Classes
  * TraversableOnce → GenTraversableOnce

(defined at scala.collection.TraversableOnce)


### `def minBy[B](f: (Byte) ⇒ B)(implicit cmp: Ordering[B]): Byte`           ###

[use case]

Finds the first element which yields the smallest value measured by function f.

* B
  * The result type of the function f.
* f
  * The measuring function.
* returns
  * the first element of this mutable indexed sequence with the smallest value
    measured by function f.

* Definition Classes
  * TraversableOnce → GenTraversableOnce

(defined at scala.collection.TraversableOnce)


### `def mkString(sep: String): String`                                      ###

Displays all elements of this traversable or iterator in a string using a
separator string.

* sep
  * the separator string.
* returns
  * a string representation of this traversable or iterator. In the resulting
    string the string representations (w.r.t. the method `toString` ) of all
    elements of this traversable or iterator are separated by the string `sep` .

* Definition Classes
  * TraversableOnce → GenTraversableOnce

Example:

```scala
List(1, 2, 3).mkString("|") = "1|2|3"
```

(defined at scala.collection.TraversableOnce)


### `def mkString(start: String, sep: String, end: String): String`          ###

Displays all elements of this traversable or iterator in a string using start,
end, and separator strings.

* start
  * the starting string.
* sep
  * the separator string.
* end
  * the ending string.
* returns
  * a string representation of this traversable or iterator. The resulting
    string begins with the string `start` and ends with the string `end` .
    Inside, the string representations (w.r.t. the method `toString` ) of all
    elements of this traversable or iterator are separated by the string `sep` .

* Definition Classes
  * TraversableOnce → GenTraversableOnce

Example:

```scala
List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"
```

(defined at scala.collection.TraversableOnce)


### `def mkString: String`                                                   ###

Displays all elements of this traversable or iterator in a string.

* returns
  * a string representation of this traversable or iterator. In the resulting
    string the string representations (w.r.t. the method `toString` ) of all
    elements of this traversable or iterator follow each other without any
    separator string.

* Definition Classes
  * TraversableOnce → GenTraversableOnce

(defined at scala.collection.TraversableOnce)


### `def nonEmpty: Boolean`                                                  ###

Tests whether the traversable or iterator is not empty.

* returns
  * `true` if the traversable or iterator contains at least one element,
     `false` otherwise.

* Definition Classes
  * TraversableOnce → GenTraversableOnce

(defined at scala.collection.TraversableOnce)


### `def product[B >: Byte](implicit num: Numeric[B]): B`                    ###

[use case]

Multiplies up the elements of this collection.

* returns
  * the product of all elements in this mutable indexed sequence of numbers of
    type `Int` . Instead of `Int` , any other type `T` with an implicit
     `Numeric[T]` implementation can be used as element type of the mutable
    indexed sequence and as result type of `product` . Examples of such types
    are: `Long` , `Float` , `Double` , `BigInt` .

* Definition Classes
  * TraversableOnce → GenTraversableOnce

(defined at scala.collection.TraversableOnce)


### `def reduceLeftOption[B >: Byte](op: (B, Byte) ⇒ B): Option[B]`          ###

Optionally applies a binary operator to all elements of this traversable or
iterator, going left to right.

Note: will not terminate for infinite-sized collections.

Note: might return different results for different runs, unless the underlying
collection type is ordered or the operator is associative and commutative.

* B
  * the result type of the binary operator.
* op
  * the binary operator.
* returns
  * an option value containing the result of `reduceLeft(op)` is this
    traversable or iterator is nonempty, `None` otherwise.

* Definition Classes
  * TraversableOnce → GenTraversableOnce

(defined at scala.collection.TraversableOnce)


### `def reduceOption[A1 >: Byte](op: (A1, A1) ⇒ A1): Option[A1]`            ###

Reduces the elements of this traversable or iterator, if any, using the
specified associative binary operator.

The order in which operations are performed on elements is unspecified and may
be nondeterministic.

* A1
  * A type parameter for the binary operator, a supertype of `A` .
* op
  * A binary operator that must be associative.
* returns
  * An option value containing result of applying reduce operator `op` between
    all the elements if the collection is nonempty, and `None` otherwise.

* Definition Classes
  * TraversableOnce → GenTraversableOnce

(defined at scala.collection.TraversableOnce)


### `def reduceRightOption[B >: Byte](op: (Byte, B) ⇒ B): Option[B]`         ###

Optionally applies a binary operator to all elements of this traversable or
iterator, going right to left.

Note: will not terminate for infinite-sized collections.

Note: might return different results for different runs, unless the underlying
collection type is ordered or the operator is associative and commutative.

* B
  * the result type of the binary operator.
* op
  * the binary operator.
* returns
  * an option value containing the result of `reduceRight(op)` is this
    traversable or iterator is nonempty, `None` otherwise.

* Definition Classes
  * TraversableOnce → GenTraversableOnce

(defined at scala.collection.TraversableOnce)


### `def reduce[A1 >: Byte](op: (A1, A1) ⇒ A1): A1`                          ###

Reduces the elements of this traversable or iterator using the specified
associative binary operator.

The order in which operations are performed on elements is unspecified and may
be nondeterministic.

* A1
  * A type parameter for the binary operator, a supertype of `A` .
* op
  * A binary operator that must be associative.
* returns
  * The result of applying reduce operator `op` between all the elements if the
    traversable or iterator is nonempty.

* Definition Classes
  * TraversableOnce → GenTraversableOnce
* Exceptions thrown
  * UnsupportedOperationException if this traversable or iterator is empty.

(defined at scala.collection.TraversableOnce)


### `def reversed: List[Byte]`                                               ###

* Attributes
  * protected[this]
* Definition Classes
  * TraversableOnce

(defined at scala.collection.TraversableOnce)


### `def sum[B >: Byte](implicit num: Numeric[B]): B`                        ###

[use case]

Sums up the elements of this collection.

* returns
  * the sum of all elements in this mutable indexed sequence of numbers of type
     `Int` . Instead of `Int` , any other type `T` with an implicit
     `Numeric[T]` implementation can be used as element type of the mutable
    indexed sequence and as result type of `sum` . Examples of such types are:
     `Long` , `Float` , `Double` , `BigInt` .

* Definition Classes
  * TraversableOnce → GenTraversableOnce

(defined at scala.collection.TraversableOnce)


### `def toIndexedSeq: immutable.IndexedSeq[Byte]`                           ###

Converts this traversable or iterator to an indexed sequence.

Note: will not terminate for infinite-sized collections.

* returns
  * an indexed sequence containing all elements of this traversable or iterator.

* Definition Classes
  * TraversableOnce → GenTraversableOnce

(defined at scala.collection.TraversableOnce)


### `def toList: List[Byte]`                                                 ###

Converts this traversable or iterator to a list.

Note: will not terminate for infinite-sized collections.

* returns
  * a list containing all elements of this traversable or iterator.

* Definition Classes
  * TraversableOnce → GenTraversableOnce

(defined at scala.collection.TraversableOnce)


### `def toMap[T, U](implicit ev: <:<[Byte, (T, U)]): immutable.Map[T, U]`   ###

[use case]

Converts this mutable indexed sequence to a map. This method is unavailable
unless the elements are members of Tuple2, each ((T, U)) becoming a key-value
pair in the map. Duplicate keys will be overwritten by later keys: if this is an
unordered collection, which key is in the resulting map is undefined.

* returns
  * a map of type `immutable.Map[T, U]` containing all key/value pairs of type
     `(T, U)` of this mutable indexed sequence.

* Definition Classes
  * TraversableOnce → GenTraversableOnce

(defined at scala.collection.TraversableOnce)


### `def toSet[B >: Byte]: immutable.Set[B]`                                 ###

Converts this traversable or iterator to a set.

Note: will not terminate for infinite-sized collections.

* returns
  * a set containing all elements of this traversable or iterator.

* Definition Classes
  * TraversableOnce → GenTraversableOnce

(defined at scala.collection.TraversableOnce)


### `def toVector: Vector[Byte]`                                             ###

Converts this traversable or iterator to a Vector.

Note: will not terminate for infinite-sized collections.

* returns
  * a vector containing all elements of this traversable or iterator.

* Definition Classes
  * TraversableOnce → GenTraversableOnce

(defined at scala.collection.TraversableOnce)


--------------------------------------------------------------------------------
             Value Members From scala.collection.mutable.ArrayLike
--------------------------------------------------------------------------------


### `def deep: collection.IndexedSeq[Any]`                                   ###

Creates a possible nested `IndexedSeq` which consists of all the elements of
this array. If the elements are arrays themselves, the `deep` transformation is
applied recursively to them. The `stringPrefix` of the `IndexedSeq` is "Array",
hence the `IndexedSeq` prints like an array with all its elements shown, and the
same recursively for any subarrays.

Example:

```scala
Array(Array(1, 2), Array(3, 4)).deep.toString
```

prints: `Array(Array(1, 2), Array(3, 4))`

* returns
  * An possibly nested indexed sequence of consisting of all the elements of the
    array.

* Definition Classes
  * ArrayLike

(defined at scala.collection.mutable.ArrayLike)


--------------------------------------------------------------------------------
              Value Members From scala.collection.mutable.ArrayOps
--------------------------------------------------------------------------------


### `def +:[B >: Byte](elem: B)(implicit arg0: ClassTag[B]): Array[B]`       ###

* Definition Classes
  * ArrayOps

(defined at scala.collection.mutable.ArrayOps)


### `def :+[B >: Byte](elem: B)(implicit arg0: ClassTag[B]): Array[B]`       ###

* Definition Classes
  * ArrayOps

(defined at scala.collection.mutable.ArrayOps)


### `def copyToArray[U >: Byte](xs: Array[U], start: Int, len: Int): Unit`   ###

[use case]

Copies elements of this mutable indexed sequence to an array. Fills the given
array `xs` with at most `len` elements of this mutable indexed sequence,
starting at position `start` . Copying will stop once either the end of the
current mutable indexed sequence is reached, or the end of the array is reached,
or `len` elements have been copied.

* xs
  * the array to fill.
* start
  * the starting index.
* len
  * the maximal number of elements to copy.

* Definition Classes
  * ArrayOps → IndexedSeqOptimized → IterableLike → TraversableLike →
    TraversableOnce → GenTraversableOnce

(defined at scala.collection.mutable.ArrayOps)


### `def flatten[U](implicit asTrav: (Byte) ⇒ collection.Traversable[U], m: ClassTag[U]): Array[U]` ###

Flattens a two-dimensional array by concatenating all its rows into a single
array.

* U
  * Type of row elements.
* asTrav
  * A function that converts elements of this array to rows - arrays of type
     `U` .
* returns
  * An array obtained by concatenating rows of this array.

* Definition Classes
  * ArrayOps

(defined at scala.collection.mutable.ArrayOps)


### `def par: ParArray[Byte]`                                                ###

Returns a parallel implementation of this collection.

For most collection types, this method creates a new parallel collection by
copying all the elements. For these collection, `par` takes linear time. Mutable
collections in this category do not produce a mutable parallel collection that
has the same underlying dataset, so changes in one collection will not be
reflected in the other one.

Specific collections (e.g. `ParArray` or `mutable.ParHashMap` ) override this
default behaviour by creating a parallel collection which shares the same
underlying dataset. For these collections, `par` takes constant or sublinear
time.

All parallel collections return a reference to themselves.

* returns
  * a parallel implementation of this collection

* Definition Classes
  * ArrayOps → CustomParallelizable → Parallelizable

(defined at scala.collection.mutable.ArrayOps)


### `def seq: IndexedSeq[Byte]`                                              ###

A version of this collection with all of the operations implemented sequentially
(i.e., in a single-threaded manner).

This method returns a reference to this collection. In parallel collections, it
is redefined to return a sequential implementation of this collection. In both
cases, it has O(1) complexity.

* returns
  * a sequential view of the collection.

* Definition Classes
  * ArrayOps → IndexedSeqLike → GenSeqLike → Parallelizable → TraversableOnce →
    GenTraversableOnce

(defined at scala.collection.mutable.ArrayOps)


### `def toArray[U >: Byte](implicit arg0: ClassTag[U]): Array[U]`           ###

[use case]

Converts this mutable indexed sequence to an array.

* returns
  * an array containing all elements of this mutable indexed sequence. An
     `ClassTag` must be available for the element type of this mutable indexed
    sequence.

* Definition Classes
  * ArrayOps → TraversableOnce → GenTraversableOnce

(defined at scala.collection.mutable.ArrayOps)


### `def transpose[U](implicit asArray: (Byte) ⇒ Array[U]): Array[Array[U]]` ###

Transposes a two dimensional array.

* U
  * Type of row elements.
* asArray
  * A function that converts elements of this array to rows - arrays of type
     `U` .
* returns
  * An array obtained by replacing elements of this arrays with rows the
    represent.

* Definition Classes
  * ArrayOps

(defined at scala.collection.mutable.ArrayOps)


### `def unzip3[T1, T2, T3](implicit asTriple: (Byte) ⇒ (T1, T2, T3), ct1: ClassTag[T1], ct2: ClassTag[T2], ct3: ClassTag[T3]): (Array[T1], Array[T2], Array[T3])` ###

Converts an array of triples into three arrays, one containing the elements from
each position of the triple.

* T1
  * the type of the first of three elements in the triple
* T2
  * the type of the second of three elements in the triple
* T3
  * the type of the third of three elements in the triple
* asTriple
  * an implicit conversion which asserts that the element type of this Array is
    a triple.
* ct1
  * a class tag for T1 type parameter that is required to create an instance of
    Array[T1]
* ct2
  * a class tag for T2 type parameter that is required to create an instance of
    Array[T2]
* ct3
  * a class tag for T3 type parameter that is required to create an instance of
    Array[T3]
* returns
  * a triple of Arrays, containing, respectively, the first, second, and third
    elements from each element triple of this Array.

* Definition Classes
  * ArrayOps

(defined at scala.collection.mutable.ArrayOps)


### `def unzip[T1, T2](implicit asPair: (Byte) ⇒ (T1, T2), ct1: ClassTag[T1], ct2: ClassTag[T2]): (Array[T1], Array[T2])` ###

Converts an array of pairs into an array of first elements and an array of
second elements.

* T1
  * the type of the first half of the element pairs
* T2
  * the type of the second half of the element pairs
* asPair
  * an implicit conversion which asserts that the element type of this Array is
    a pair.
* ct1
  * a class tag for T1 type parameter that is required to create an instance of
    Array[T1]
* ct2
  * a class tag for T2 type parameter that is required to create an instance of
    Array[T2]
* returns
  * a pair of Arrays, containing, respectively, the first and second half of
    each element pair of this Array.

* Definition Classes
  * ArrayOps

(defined at scala.collection.mutable.ArrayOps)


--------------------------------------------------------------------------------
      Instance Constructors From scala.collection.mutable.ArrayOps.ofByte
--------------------------------------------------------------------------------


### `new ofByte(repr: Array[Byte])`                                          ###

(defined at scala.collection.mutable.ArrayOps.ofByte)


--------------------------------------------------------------------------------
          Value Members From scala.collection.mutable.ArrayOps.ofByte
--------------------------------------------------------------------------------


### `def apply(index: Int): Byte`                                            ###

Selects an element by its index in the mutable indexed sequence.

Example:

```scala
scala> val x = List(1, 2, 3, 4, 5)
x: List[Int] = List(1, 2, 3, 4, 5)

scala> x(3)
res1: Int = 4
```

* returns
  * the element of this mutable indexed sequence at index `idx` , where `0`
    indicates the first element.

* Definition Classes
  * ofByte → SeqLike → GenSeqLike
* Exceptions thrown
  * IndexOutOfBoundsException if `idx` does not satisfy `0 <= idx < length` .

(defined at scala.collection.mutable.ArrayOps.ofByte)


### `def length: Int`                                                        ###

The length of the mutable indexed sequence.

Note: `xs.length` and `xs.size` yield the same result.

* returns
  * the number of elements in this mutable indexed sequence.

* Definition Classes
  * ofByte → SeqLike → GenSeqLike

(defined at scala.collection.mutable.ArrayOps.ofByte)


### `def newBuilder: ArrayBuilder.ofByte`                                    ###

Creates a new builder for this collection type.

* Attributes
  * protected[this]
* Definition Classes
  * ofByte → TraversableLike → HasNewBuilder

(defined at scala.collection.mutable.ArrayOps.ofByte)


### `val repr: Array[Byte]`                                                  ###

The collection of type mutable indexed sequence underlying this
 `TraversableLike` object. By default this is implemented as the
 `TraversableLike` object itself, but this can be overridden.

* Definition Classes
  * ofByte → TraversableLike → GenTraversableLike

(defined at scala.collection.mutable.ArrayOps.ofByte)


### `def thisCollection: WrappedArray[Byte]`                                 ###

The underlying collection seen as an instance of `Array` . By default this is
implemented as the current collection object itself, but this can be overridden.

* Attributes
  * protected[this]
* Definition Classes
  * ofByte → IndexedSeqLike → IndexedSeqLike → SeqLike → IterableLike →
    TraversableLike

(defined at scala.collection.mutable.ArrayOps.ofByte)


### `def toCollection(repr: Array[Byte]): WrappedArray[Byte]`                ###

A conversion from collections of type `Repr` to `Array` objects. By default this
is implemented as just a cast, but this can be overridden.

* Attributes
  * protected[this]
* Definition Classes
  * ofByte → IndexedSeqLike → IndexedSeqLike → SeqLike → IterableLike →
    TraversableLike

(defined at scala.collection.mutable.ArrayOps.ofByte)


### `def update(index: Int, elem: Byte): Unit`                               ###

Replaces element at given index with a new value.

* elem
  * the new value.

* Definition Classes
  * ofByte → IndexedSeqLike
* Exceptions thrown
  * IndexOutOfBoundsException if the index is not valid.

(defined at scala.collection.mutable.ArrayOps.ofByte)


--------------------------------------------------------------------------------
           Value Members From scala.collection.mutable.IndexedSeqLike
--------------------------------------------------------------------------------


### `def view(from: Int, until: Int): IndexedSeqView[Byte, Array[Byte]]`     ###

A sub-sequence view starting at index `from` and extending up to (but not
including) index `until` .

* from
  * The index of the first element of the slice
* until
  * The index of the element following the slice
* returns
  * a non-strict view of a slice of this mutable indexed sequence, starting at
    index `from` and extending up to (but not including) index `until` .@note
    The difference between `view` and `slice` is that `view` produces a view of
    the current sequence, whereas `slice` produces a new sequence.

* Definition Classes
  * IndexedSeqLike → SeqLike → IterableLike → TraversableLike
* Note
  * view(from, to) is equivalent to view.slice(from, to)

(defined at scala.collection.mutable.IndexedSeqLike)


### `def view: IndexedSeqView[Byte, Array[Byte]]`                            ###

Creates a view of this iterable @see Iterable.View

* returns
  * a non-strict view of this mutable indexed sequence.

* Definition Classes
  * IndexedSeqLike → SeqLike → IterableLike → TraversableLike

(defined at scala.collection.mutable.IndexedSeqLike)


--------------------------------------------------------------------------------
Value Members From Implicit scala.collection.parallel.CollectionsHaveToParArray
--------------------------------------------------------------------------------


### `def toParArray: ParArray[T]`                                            ###

* Implicit information
  * This member is added by an implicit conversion from ofByte to
    CollectionsHaveToParArray [ofByte, T] performed by method
    CollectionsHaveToParArray in scala.collection.parallel. This conversion will
    take place only if an implicit value of type (ofByte) ⇒ GenTraversableOnce [
    T] is in scope.
* Definition Classes
  * CollectionsHaveToParArray
(added by implicit convertion: scala.collection.parallel.CollectionsHaveToParArray)
