
#  scala.collection.parallel.AdaptiveWorkStealingThreadPoolTasks#WrappedTask  #

```
class WrappedTask[R, Tp] extends AdaptiveWorkStealingThreadPoolTasks.WrappedTask[R, Tp] with AdaptiveWorkStealingThreadPoolTasks.WrappedTask[R, Tp]
```

* Source
  * [Tasks.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/collection/parallel/Tasks.scala#L1)


--------------------------------------------------------------------------------
Value Members From scala.collection.parallel.AdaptiveWorkStealingTasks.WrappedTask
--------------------------------------------------------------------------------


### `def compute(): Unit`                                                    ###

Code that gets called after the task gets started - it may spawn other tasks
instead of calling `leaf` .

* Definition Classes
  * WrappedTask → WrappedTask

(defined at scala.collection.parallel.AdaptiveWorkStealingTasks.WrappedTask)


### `def internal(): Unit`                                                   ###

* Definition Classes
  * WrappedTask

(defined at scala.collection.parallel.AdaptiveWorkStealingTasks.WrappedTask)


### `var next: AdaptiveWorkStealingThreadPoolTasks.WrappedTask[R, Tp]`       ###

* Definition Classes
  * WrappedTask

(defined at scala.collection.parallel.AdaptiveWorkStealingTasks.WrappedTask)


### `def printChain(): Unit`                                                 ###

* Definition Classes
  * WrappedTask

(defined at scala.collection.parallel.AdaptiveWorkStealingTasks.WrappedTask)


### `var shouldWaitFor: Boolean`                                             ###

* Definition Classes
  * WrappedTask

(defined at scala.collection.parallel.AdaptiveWorkStealingTasks.WrappedTask)


### `def spawnSubtasks(): AdaptiveWorkStealingThreadPoolTasks.WrappedTask[R, Tp]` ###

* Definition Classes
  * WrappedTask

(defined at scala.collection.parallel.AdaptiveWorkStealingTasks.WrappedTask)


--------------------------------------------------------------------------------
Instance Constructors From scala.collection.parallel.AdaptiveWorkStealingThreadPoolTasks.WrappedTask
--------------------------------------------------------------------------------


### `new WrappedTask(body: Task[R, Tp])`                                     ###

(defined at scala.collection.parallel.AdaptiveWorkStealingThreadPoolTasks.WrappedTask)


--------------------------------------------------------------------------------
Value Members From scala.collection.parallel.AdaptiveWorkStealingThreadPoolTasks.WrappedTask
--------------------------------------------------------------------------------


### `val body: Task[R, Tp]`                                                  ###

the body of this task - what it executes, how it gets split and how results are
merged.

* Definition Classes
  * WrappedTask → WrappedTask

(defined at scala.collection.parallel.AdaptiveWorkStealingThreadPoolTasks.WrappedTask)


### `def split: scala.Seq[AdaptiveWorkStealingThreadPoolTasks.WrappedTask[R, Tp]]` ###

* Definition Classes
  * WrappedTask → WrappedTask → WrappedTask

(defined at scala.collection.parallel.AdaptiveWorkStealingThreadPoolTasks.WrappedTask)


--------------------------------------------------------------------------------
    Value Members From scala.collection.parallel.ThreadPoolTasks.WrappedTask
--------------------------------------------------------------------------------


### `var completed: Boolean`                                                 ###

* Definition Classes
  * WrappedTask

(defined at scala.collection.parallel.ThreadPoolTasks.WrappedTask)


### `var owned: Boolean`                                                     ###

* Definition Classes
  * WrappedTask

(defined at scala.collection.parallel.ThreadPoolTasks.WrappedTask)


### `def release(): Unit`                                                    ###

If the task has been cancelled successfully, those syncing on it may
automatically be notified, depending on the implementation. If they aren't, this
release method should be called after processing the cancelled task.

This method may be overridden.

* Definition Classes
  * WrappedTask → WrappedTask

(defined at scala.collection.parallel.ThreadPoolTasks.WrappedTask)


### `def run(): Unit`                                                        ###

* Definition Classes
  * WrappedTask → Runnable

(defined at scala.collection.parallel.ThreadPoolTasks.WrappedTask)


### `def start(): Unit`                                                      ###

Start task.

* Definition Classes
  * WrappedTask → WrappedTask

(defined at scala.collection.parallel.ThreadPoolTasks.WrappedTask)


### `def sync(): Unit`                                                       ###

Wait for task to finish.

* Definition Classes
  * WrappedTask → WrappedTask

(defined at scala.collection.parallel.ThreadPoolTasks.WrappedTask)


### `def tryCancel(): Boolean`                                               ###

Try to cancel the task.

* returns
  * `true` if cancellation is successful.

* Definition Classes
  * WrappedTask → WrappedTask

(defined at scala.collection.parallel.ThreadPoolTasks.WrappedTask)


--------------------------------------------------------------------------------
Value Members From Implicit scala.collection.parallel.CollectionsHaveToParArray
--------------------------------------------------------------------------------


### `def toParArray: ParArray[T]`                                            ###

* Implicit information
  * This member is added by an implicit conversion from WrappedTask [R, Tp] to
    CollectionsHaveToParArray [WrappedTask [R, Tp], T] performed by method
    CollectionsHaveToParArray in scala.collection.parallel. This conversion will
    take place only if an implicit value of type (WrappedTask [R, Tp]) ⇒
    GenTraversableOnce [T] is in scope.
* Definition Classes
  * CollectionsHaveToParArray
(added by implicit convertion: scala.collection.parallel.CollectionsHaveToParArray)
