
#                scala.collection.parallel.ParIterableLike#Sum                #

```
class Sum[U >: T] extends Accessor[U, Sum[U]]
```

* Attributes
  * protected[this]
* Source
  * [ParIterableLike.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/collection/parallel/ParIterableLike.scala#L1)


--------------------------------------------------------------------------------
                                  Type Members
--------------------------------------------------------------------------------


### `type Result = U`                                                        ###

* Definition Classes
  * Task


--------------------------------------------------------------------------------
     Value Members From scala.collection.parallel.ParIterableLike.Accessor
--------------------------------------------------------------------------------


### `def shouldSplitFurther: Boolean`                                        ###

Decides whether or not this task should be split further.

* Definition Classes
  * Accessor → Task

(defined at scala.collection.parallel.ParIterableLike.Accessor)


### `def split: scala.Seq[Task[U, Sum[U]]]`                                  ###

Splits this task into a list of smaller tasks.

* Definition Classes
  * Accessor → Task

(defined at scala.collection.parallel.ParIterableLike.Accessor)


### `def toString(): String`                                                 ###

Creates a String representation of this object. The default representation is
platform dependent. On the java platform it is the concatenation of the class
name, "@", and the object's hashcode in hexadecimal.

* returns
  * a String representation of the object.

* Definition Classes
  * Accessor → AnyRef → Any

(defined at scala.collection.parallel.ParIterableLike.Accessor)


--------------------------------------------------------------------------------
Value Members From scala.collection.parallel.ParIterableLike.StrictSplitterCheckTask
--------------------------------------------------------------------------------


### `def requiresStrictSplitters: Boolean`                                   ###

* Definition Classes
  * StrictSplitterCheckTask

(defined at scala.collection.parallel.ParIterableLike.StrictSplitterCheckTask)


--------------------------------------------------------------------------------
    Instance Constructors From scala.collection.parallel.ParIterableLike.Sum
--------------------------------------------------------------------------------


### `new Sum(num: Numeric[U], pit: IterableSplitter[T])`                     ###

(defined at scala.collection.parallel.ParIterableLike.Sum)


--------------------------------------------------------------------------------
        Value Members From scala.collection.parallel.ParIterableLike.Sum
--------------------------------------------------------------------------------


### `def leaf(prevr: Option[U]): Unit`                                       ###

Body of the task - non-divisible unit of work done by this task. Optionally is
provided with the result from the previous completed task or `None` if there was
no previous task (or the previous task is uncompleted or unknown).

* Definition Classes
  * Sum → Task

(defined at scala.collection.parallel.ParIterableLike.Sum)


### `def merge(that: Sum[U]): Unit`                                          ###

Read of results of `that` task and merge them into results of this one.

* Definition Classes
  * Sum → Task

(defined at scala.collection.parallel.ParIterableLike.Sum)


### `def newSubtask(p: IterableSplitter[T]): Sum[U]`                         ###

* Attributes
  * protected[this]
* Definition Classes
  * Sum → Accessor

(defined at scala.collection.parallel.ParIterableLike.Sum)


### `val pit: IterableSplitter[T]`                                           ###

* Attributes
  * protected[this]
* Definition Classes
  * Sum → Accessor

(defined at scala.collection.parallel.ParIterableLike.Sum)


### `var result: U`                                                          ###

A result that can be accessed once the task is completed.

* Definition Classes
  * Sum → Task

(defined at scala.collection.parallel.ParIterableLike.Sum)


--------------------------------------------------------------------------------
               Value Members From scala.collection.parallel.Task
--------------------------------------------------------------------------------


### `def forwardThrowable(): Unit`                                           ###

* Definition Classes
  * Task

(defined at scala.collection.parallel.Task)


### `def repr: Sum[U]`                                                       ###

* Definition Classes
  * Task

(defined at scala.collection.parallel.Task)


### `var throwable: Throwable`                                               ###

* Definition Classes
  * Task

(defined at scala.collection.parallel.Task)


--------------------------------------------------------------------------------
Value Members From Implicit scala.collection.parallel.CollectionsHaveToParArray
--------------------------------------------------------------------------------


### `def toParArray: ParArray[T]`                                            ###

* Implicit information
  * This member is added by an implicit conversion from Sum [U] to
    CollectionsHaveToParArray [Sum [U], T] performed by method
    CollectionsHaveToParArray in scala.collection.parallel. This conversion will
    take place only if an implicit value of type (Sum [U]) ⇒ GenTraversableOnce
    [T] is in scope.
* Definition Classes
  * CollectionsHaveToParArray
(added by implicit convertion: scala.collection.parallel.CollectionsHaveToParArray)
