
#               scala.concurrent.ExecutionContextExecutorService               #

```
trait ExecutionContextExecutorService extends ExecutionContextExecutor with ExecutorService
```

An ExecutionContext that is also a Java
[ExecutorService](http://docs.oracle.com/javase/8/docs/api/java/util/concurrent/ExecutorService.html).

* Source
  * [ExecutionContext.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/concurrent/ExecutionContext.scala#L1)


--------------------------------------------------------------------------------
           Abstract Value Members From java.util.concurrent.Executor
--------------------------------------------------------------------------------


### `abstract def execute(arg0: Runnable): Unit`                             ###

* Definition Classes
  * Executor

(defined at java.util.concurrent.Executor)


--------------------------------------------------------------------------------
        Abstract Value Members From java.util.concurrent.ExecutorService
--------------------------------------------------------------------------------


### `abstract def awaitTermination(arg0: Long, arg1: TimeUnit): Boolean`     ###

* Definition Classes
  * ExecutorService
* Annotations
  * @ throws (...)

(defined at java.util.concurrent.ExecutorService)


### `abstract def invokeAll[T](arg0: Collection[_ <: Callable[T]]): java.util.List[java.util.concurrent.Future[T]]` ###

* Definition Classes
  * ExecutorService
* Annotations
  * @ throws (...)

(defined at java.util.concurrent.ExecutorService)


### `abstract def invokeAll[T](arg0: Collection[_ <: Callable[T]], arg1: Long, arg2: TimeUnit): java.util.List[java.util.concurrent.Future[T]]` ###

* Definition Classes
  * ExecutorService
* Annotations
  * @ throws (...)

(defined at java.util.concurrent.ExecutorService)


### `abstract def invokeAny[T](arg0: Collection[_ <: Callable[T]]): T`       ###

* Definition Classes
  * ExecutorService
* Annotations
  * @ throws (...) @ throws (...)

(defined at java.util.concurrent.ExecutorService)


### `abstract def invokeAny[T](arg0: Collection[_ <: Callable[T]], arg1: Long, arg2: TimeUnit): T` ###

* Definition Classes
  * ExecutorService
* Annotations
  * @ throws (...) @ throws (...) @ throws (...)

(defined at java.util.concurrent.ExecutorService)


### `abstract def isShutdown(): Boolean`                                     ###

* Definition Classes
  * ExecutorService

(defined at java.util.concurrent.ExecutorService)


### `abstract def isTerminated(): Boolean`                                   ###

* Definition Classes
  * ExecutorService

(defined at java.util.concurrent.ExecutorService)


### `abstract def shutdown(): Unit`                                          ###

* Definition Classes
  * ExecutorService

(defined at java.util.concurrent.ExecutorService)


### `abstract def shutdownNow(): java.util.List[Runnable]`                   ###

* Definition Classes
  * ExecutorService

(defined at java.util.concurrent.ExecutorService)


### `abstract def submit(arg0: Runnable): java.util.concurrent.Future[_]`    ###

* Definition Classes
  * ExecutorService

(defined at java.util.concurrent.ExecutorService)


### `abstract def submit[T](arg0: Callable[T]): java.util.concurrent.Future[T]` ###

* Definition Classes
  * ExecutorService

(defined at java.util.concurrent.ExecutorService)


### `abstract def submit[T](arg0: Runnable, arg1: T): java.util.concurrent.Future[T]` ###

* Definition Classes
  * ExecutorService

(defined at java.util.concurrent.ExecutorService)


--------------------------------------------------------------------------------
         Abstract Value Members From scala.concurrent.ExecutionContext
--------------------------------------------------------------------------------


### `abstract def reportFailure(cause: Throwable): Unit`                     ###

Reports that an asynchronous computation failed.

* cause
  * the cause of the failure

* Definition Classes
  * ExecutionContext

(defined at scala.concurrent.ExecutionContext)


--------------------------------------------------------------------------------
         Concrete Value Members From scala.concurrent.ExecutionContext
--------------------------------------------------------------------------------


### `def prepare(): ExecutionContext`                                        ###

Prepares for the execution of a task. Returns the prepared execution context.

 `prepare` should be called at the site where an `ExecutionContext` is received
(for example, through an implicit method parameter). The returned execution
context may then be used to execute tasks. The role of `prepare` is to save any
context relevant to an execution's _call site_ , so that this context may be
restored at the _execution site_ . (These are often different: for example,
execution may be suspended through a `Promise` 's future until the `Promise` is
completed, which may be done in another thread, on another stack.)

Note: a valid implementation of `prepare` is one that simply returns `this` .

* returns
  * the prepared execution context

* Definition Classes
  * ExecutionContext
(defined at scala.concurrent.ExecutionContext)
