
#                              scala.math.Numeric                              #

```
object Numeric extends Serializable
```

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)
* Since
  * 2.8


--------------------------------------------------------------------------------
                                  Type Members
--------------------------------------------------------------------------------


### `trait BigDecimalAsIfIntegral extends BigDecimalIsConflicted with Integral[BigDecimal]` ###

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


### `trait BigDecimalIsConflicted extends Numeric[BigDecimal]`               ###

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


### `trait BigDecimalIsFractional extends BigDecimalIsConflicted with Fractional[BigDecimal]` ###

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


### `trait BigIntIsIntegral extends Integral[BigInt]`                        ###

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


### `trait ByteIsIntegral extends Integral[Byte]`                            ###

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


### `trait CharIsIntegral extends Integral[Char]`                            ###

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


### `trait DoubleAsIfIntegral extends DoubleIsConflicted with Integral[Double]` ###

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


### `trait DoubleIsConflicted extends Numeric[Double]`                       ###

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


### `trait DoubleIsFractional extends DoubleIsConflicted with Fractional[Double]` ###

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


### `trait ExtraImplicits extends AnyRef`                                    ###

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


### `trait FloatAsIfIntegral extends FloatIsConflicted with Integral[Float]` ###

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


### `trait FloatIsConflicted extends Numeric[Float]`                         ###

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


### `trait FloatIsFractional extends FloatIsConflicted with Fractional[Float]` ###

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


### `trait IntIsIntegral extends Integral[Int]`                              ###

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


### `trait LongIsIntegral extends Integral[Long]`                            ###

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


### `trait ShortIsIntegral extends Integral[Short]`                          ###

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


--------------------------------------------------------------------------------
                                 Value Members
--------------------------------------------------------------------------------


### `object BigDecimalAsIfIntegral extends BigDecimalAsIfIntegral with BigDecimalOrdering` ###

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


### `implicit object BigDecimalIsFractional extends BigDecimalIsFractional with BigDecimalOrdering` ###

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


### `implicit object BigIntIsIntegral extends BigIntIsIntegral with BigIntOrdering` ###

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


### `implicit object ByteIsIntegral extends ByteIsIntegral with ByteOrdering` ###

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


### `implicit object CharIsIntegral extends CharIsIntegral with CharOrdering` ###

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


### `object DoubleAsIfIntegral extends DoubleAsIfIntegral with DoubleOrdering` ###

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


### `implicit object DoubleIsFractional extends DoubleIsFractional with DoubleOrdering` ###

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


### `object FloatAsIfIntegral extends FloatAsIfIntegral with FloatOrdering`  ###

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


### `implicit object FloatIsFractional extends FloatIsFractional with FloatOrdering` ###

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


### `object Implicits extends ExtraImplicits`                                ###

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


### `implicit object IntIsIntegral extends IntIsIntegral with IntOrdering`   ###

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


### `implicit object LongIsIntegral extends LongIsIntegral with LongOrdering` ###

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


### `implicit object ShortIsIntegral extends ShortIsIntegral with ShortOrdering` ###

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)

