
#                      scala.math.Numeric.ExtraImplicits                      #

```
trait ExtraImplicits extends AnyRef
```

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


--------------------------------------------------------------------------------
              Value Members From scala.math.Numeric.ExtraImplicits
--------------------------------------------------------------------------------


### `implicit def infixNumericOps[T](x: T)(implicit num: Numeric[T]): Ops`   ###

These implicits create conversions from a value for which an implicit Numeric
exists to the inner class which creates infix operations. Once imported, you can
write methods as follows:

```scala
def plus[T: Numeric](x: T, y: T) = x + y
```
(defined at scala.math.Numeric.ExtraImplicits)
