
#                     scala.math.Numeric.FloatIsConflicted                     #

```
trait FloatIsConflicted extends Numeric[Float]
```

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


--------------------------------------------------------------------------------
                                  Type Members
--------------------------------------------------------------------------------


### `class Ops extends AnyRef`                                               ###

* Definition Classes
  * Numeric


--------------------------------------------------------------------------------
                 Concrete Value Members From scala.math.Numeric
--------------------------------------------------------------------------------


### `implicit def mkNumericOps(lhs: Float): Ops`                             ###

* Definition Classes
  * Numeric

(defined at scala.math.Numeric)


### `def one: Float`                                                         ###

* Definition Classes
  * Numeric

(defined at scala.math.Numeric)


### `def signum(x: Float): Int`                                              ###

* Definition Classes
  * Numeric

(defined at scala.math.Numeric)


### `def zero: Float`                                                        ###

* Definition Classes
  * Numeric

(defined at scala.math.Numeric)


--------------------------------------------------------------------------------
        Concrete Value Members From scala.math.Numeric.FloatIsConflicted
--------------------------------------------------------------------------------


### `def abs(x: Float): Float`                                               ###

* Definition Classes
  * FloatIsConflicted → Numeric

(defined at scala.math.Numeric.FloatIsConflicted)


### `def fromInt(x: Int): Float`                                             ###

* Definition Classes
  * FloatIsConflicted → Numeric

(defined at scala.math.Numeric.FloatIsConflicted)


### `def minus(x: Float, y: Float): Float`                                   ###

* Definition Classes
  * FloatIsConflicted → Numeric

(defined at scala.math.Numeric.FloatIsConflicted)


### `def negate(x: Float): Float`                                            ###

* Definition Classes
  * FloatIsConflicted → Numeric

(defined at scala.math.Numeric.FloatIsConflicted)


### `def plus(x: Float, y: Float): Float`                                    ###

* Definition Classes
  * FloatIsConflicted → Numeric

(defined at scala.math.Numeric.FloatIsConflicted)


### `def times(x: Float, y: Float): Float`                                   ###

* Definition Classes
  * FloatIsConflicted → Numeric

(defined at scala.math.Numeric.FloatIsConflicted)


### `def toDouble(x: Float): Double`                                         ###

* Definition Classes
  * FloatIsConflicted → Numeric

(defined at scala.math.Numeric.FloatIsConflicted)


### `def toFloat(x: Float): Float`                                           ###

* Definition Classes
  * FloatIsConflicted → Numeric

(defined at scala.math.Numeric.FloatIsConflicted)


### `def toInt(x: Float): Int`                                               ###

* Definition Classes
  * FloatIsConflicted → Numeric

(defined at scala.math.Numeric.FloatIsConflicted)


### `def toLong(x: Float): Long`                                             ###

* Definition Classes
  * FloatIsConflicted → Numeric

(defined at scala.math.Numeric.FloatIsConflicted)


--------------------------------------------------------------------------------
                Abstract Value Members From scala.math.Ordering
--------------------------------------------------------------------------------


### `abstract def compare(x: Float, y: Float): Int`                          ###

Returns an integer whose sign communicates how x compares to y.

The result sign has the following meaning:

* negative if x < y
* positive if x > y
* zero otherwise (if x == y)

* Definition Classes
  * Ordering → Comparator

(defined at scala.math.Ordering)


--------------------------------------------------------------------------------
                Concrete Value Members From scala.math.Ordering
--------------------------------------------------------------------------------


### `def equiv(x: Float, y: Float): Boolean`                                 ###

Return true if `x` == `y` in the ordering.

* Definition Classes
  * Ordering → PartialOrdering → Equiv

(defined at scala.math.Ordering)


### `def gt(x: Float, y: Float): Boolean`                                    ###

Return true if `x` > `y` in the ordering.

* Definition Classes
  * Ordering → PartialOrdering

(defined at scala.math.Ordering)


### `def gteq(x: Float, y: Float): Boolean`                                  ###

Return true if `x` >= `y` in the ordering.

* Definition Classes
  * Ordering → PartialOrdering

(defined at scala.math.Ordering)


### `def lt(x: Float, y: Float): Boolean`                                    ###

Return true if `x` < `y` in the ordering.

* Definition Classes
  * Ordering → PartialOrdering

(defined at scala.math.Ordering)


### `def lteq(x: Float, y: Float): Boolean`                                  ###

Return true if `x` <= `y` in the ordering.

* Definition Classes
  * Ordering → PartialOrdering

(defined at scala.math.Ordering)


### `def max(x: Float, y: Float): Float`                                     ###

Return `x` if `x` >= `y` , otherwise `y` .

* Definition Classes
  * Ordering

(defined at scala.math.Ordering)


### `def min(x: Float, y: Float): Float`                                     ###

Return `x` if `x` <= `y` , otherwise `y` .

* Definition Classes
  * Ordering

(defined at scala.math.Ordering)


### `implicit def mkOrderingOps(lhs: Float): FloatIsConflicted.Ops`          ###

This implicit method augments `T` with the comparison operators defined in
 `scala.math.Ordering.Ops` .

* Definition Classes
  * Ordering

(defined at scala.math.Ordering)


### `def on[U](f: (U) ⇒ Float): Ordering[U]`                                 ###

Given f, a function from U into T, creates an Ordering[U] whose compare function
is equivalent to:

```scala
def compare(x:U, y:U) = Ordering[T].compare(f(x), f(y))
```

* Definition Classes
  * Ordering

(defined at scala.math.Ordering)


### `def reverse: Ordering[Float]`                                           ###

Return the opposite ordering of this one.

* Definition Classes
  * Ordering → PartialOrdering

(defined at scala.math.Ordering)


### `def tryCompare(x: Float, y: Float): Some[Int]`                          ###

Returns whether a comparison between `x` and `y` is defined, and if so the
result of `compare(x, y)` .

* Definition Classes
  * Ordering → PartialOrdering
(defined at scala.math.Ordering)
