
#                      scala.math.Numeric.ShortIsIntegral                      #

```
implicit object ShortIsIntegral extends ShortIsIntegral with ShortOrdering
```

* Source
  * [Numeric.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/math/Numeric.scala#L1)


--------------------------------------------------------------------------------
                                  Type Members
--------------------------------------------------------------------------------


### `class IntegralOps extends Ops`                                          ###

* Definition Classes
  * Integral


### `class Ops extends AnyRef`                                               ###

* Definition Classes
  * Numeric


--------------------------------------------------------------------------------
                     Value Members From scala.math.Integral
--------------------------------------------------------------------------------


### `implicit def mkNumericOps(lhs: Short): IntegralOps`                     ###

* Definition Classes
  * Integral → Numeric

(defined at scala.math.Integral)


--------------------------------------------------------------------------------
                     Value Members From scala.math.Numeric
--------------------------------------------------------------------------------


### `def abs(x: Short): Short`                                               ###

* Definition Classes
  * Numeric

(defined at scala.math.Numeric)


### `def one: Short`                                                         ###

* Definition Classes
  * Numeric

(defined at scala.math.Numeric)


### `def signum(x: Short): Int`                                              ###

* Definition Classes
  * Numeric

(defined at scala.math.Numeric)


### `def zero: Short`                                                        ###

* Definition Classes
  * Numeric

(defined at scala.math.Numeric)


--------------------------------------------------------------------------------
             Value Members From scala.math.Numeric.ShortIsIntegral
--------------------------------------------------------------------------------


### `def fromInt(x: Int): Short`                                             ###

* Definition Classes
  * ShortIsIntegral → Numeric

(defined at scala.math.Numeric.ShortIsIntegral)


### `def minus(x: Short, y: Short): Short`                                   ###

* Definition Classes
  * ShortIsIntegral → Numeric

(defined at scala.math.Numeric.ShortIsIntegral)


### `def negate(x: Short): Short`                                            ###

* Definition Classes
  * ShortIsIntegral → Numeric

(defined at scala.math.Numeric.ShortIsIntegral)


### `def plus(x: Short, y: Short): Short`                                    ###

* Definition Classes
  * ShortIsIntegral → Numeric

(defined at scala.math.Numeric.ShortIsIntegral)


### `def quot(x: Short, y: Short): Short`                                    ###

* Definition Classes
  * ShortIsIntegral → Integral

(defined at scala.math.Numeric.ShortIsIntegral)


### `def rem(x: Short, y: Short): Short`                                     ###

* Definition Classes
  * ShortIsIntegral → Integral

(defined at scala.math.Numeric.ShortIsIntegral)


### `def times(x: Short, y: Short): Short`                                   ###

* Definition Classes
  * ShortIsIntegral → Numeric

(defined at scala.math.Numeric.ShortIsIntegral)


### `def toDouble(x: Short): Double`                                         ###

* Definition Classes
  * ShortIsIntegral → Numeric

(defined at scala.math.Numeric.ShortIsIntegral)


### `def toFloat(x: Short): Float`                                           ###

* Definition Classes
  * ShortIsIntegral → Numeric

(defined at scala.math.Numeric.ShortIsIntegral)


### `def toInt(x: Short): Int`                                               ###

* Definition Classes
  * ShortIsIntegral → Numeric

(defined at scala.math.Numeric.ShortIsIntegral)


### `def toLong(x: Short): Long`                                             ###

* Definition Classes
  * ShortIsIntegral → Numeric

(defined at scala.math.Numeric.ShortIsIntegral)


--------------------------------------------------------------------------------
                     Value Members From scala.math.Ordering
--------------------------------------------------------------------------------


### `def equiv(x: Short, y: Short): Boolean`                                 ###

Return true if `x` == `y` in the ordering.

* Definition Classes
  * Ordering → PartialOrdering → Equiv

(defined at scala.math.Ordering)


### `def gt(x: Short, y: Short): Boolean`                                    ###

Return true if `x` > `y` in the ordering.

* Definition Classes
  * Ordering → PartialOrdering

(defined at scala.math.Ordering)


### `def gteq(x: Short, y: Short): Boolean`                                  ###

Return true if `x` >= `y` in the ordering.

* Definition Classes
  * Ordering → PartialOrdering

(defined at scala.math.Ordering)


### `def lt(x: Short, y: Short): Boolean`                                    ###

Return true if `x` < `y` in the ordering.

* Definition Classes
  * Ordering → PartialOrdering

(defined at scala.math.Ordering)


### `def lteq(x: Short, y: Short): Boolean`                                  ###

Return true if `x` <= `y` in the ordering.

* Definition Classes
  * Ordering → PartialOrdering

(defined at scala.math.Ordering)


### `def max(x: Short, y: Short): Short`                                     ###

Return `x` if `x` >= `y` , otherwise `y` .

* Definition Classes
  * Ordering

(defined at scala.math.Ordering)


### `def min(x: Short, y: Short): Short`                                     ###

Return `x` if `x` <= `y` , otherwise `y` .

* Definition Classes
  * Ordering

(defined at scala.math.Ordering)


### `implicit def mkOrderingOps(lhs: Short): ShortIsIntegral.Ops`            ###

This implicit method augments `T` with the comparison operators defined in
 `scala.math.Ordering.Ops` .

* Definition Classes
  * Ordering

(defined at scala.math.Ordering)


### `def on[U](f: (U) ⇒ Short): Ordering[U]`                                 ###

Given f, a function from U into T, creates an Ordering[U] whose compare function
is equivalent to:

```scala
def compare(x:U, y:U) = Ordering[T].compare(f(x), f(y))
```

* Definition Classes
  * Ordering

(defined at scala.math.Ordering)


### `def reverse: Ordering[Short]`                                           ###

Return the opposite ordering of this one.

* Definition Classes
  * Ordering → PartialOrdering

(defined at scala.math.Ordering)


### `def tryCompare(x: Short, y: Short): Some[Int]`                          ###

Returns whether a comparison between `x` and `y` is defined, and if so the
result of `compare(x, y)` .

* Definition Classes
  * Ordering → PartialOrdering

(defined at scala.math.Ordering)


--------------------------------------------------------------------------------
              Value Members From scala.math.Ordering.ShortOrdering
--------------------------------------------------------------------------------


### `def compare(x: Short, y: Short): Int`                                   ###

Returns an integer whose sign communicates how x compares to y.

The result sign has the following meaning:

* negative if x < y
* positive if x > y
* zero otherwise (if x == y)

* Definition Classes
  * ShortOrdering → Ordering → Comparator
(defined at scala.math.Ordering.ShortOrdering)
