
#                             scala.ref.Reference                             #

```
trait Reference[+T <: AnyRef] extends () ⇒ T
```

* Source
  * [Reference.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/ref/Reference.scala#L1)
* See also
  * `java.lang.ref.Reference`


--------------------------------------------------------------------------------
                Abstract Value Members From scala.ref.Reference
--------------------------------------------------------------------------------


### `abstract def apply(): T`                                                ###

return the underlying value

* returns
  * the result of function application.

* Definition Classes
  * Reference → Function0

(defined at scala.ref.Reference)


### `abstract def clear(): Unit`                                             ###

(defined at scala.ref.Reference)


### `abstract def enqueue(): Boolean`                                        ###

(defined at scala.ref.Reference)


### `abstract def get: Option[T]`                                            ###

return `Some` underlying if it hasn't been collected, otherwise `None`

(defined at scala.ref.Reference)


### `abstract def isEnqueued(): Boolean`                                     ###

(defined at scala.ref.Reference)


--------------------------------------------------------------------------------
                Concrete Value Members From scala.ref.Reference
--------------------------------------------------------------------------------


### `def toString(): String`                                                 ###

Creates a String representation of this object. The default representation is
platform dependent. On the java platform it is the concatenation of the class
name, "@", and the object's hashcode in hexadecimal.

* returns
  * a String representation of the object.

* Definition Classes
  * Reference → Function0 → AnyRef → Any
(defined at scala.ref.Reference)
