
#                          scala.runtime.ScalaRunTime                          #

```
object ScalaRunTime
```

The object ScalaRunTime provides support methods required by the scala runtime.
All these methods should be considered outside the API and subject to change or
removal without notice.

* Source
  * [ScalaRunTime.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/runtime/ScalaRunTime.scala#L1)


--------------------------------------------------------------------------------
                 Value Members From scala.runtime.ScalaRunTime
--------------------------------------------------------------------------------


### `def _equals(x: Product, y: Any): Boolean`                               ###

(defined at scala.runtime.ScalaRunTime)


### `def _hashCode(x: Product): Int`                                         ###

(defined at scala.runtime.ScalaRunTime)


### `def _toString(x: Product): String`                                      ###

(defined at scala.runtime.ScalaRunTime)


### `def anyValClass[T <: AnyVal](value: T)(implicit arg0: ClassTag[T]): Class[T]` ###

Return the class object representing an unboxed value type, e.g., classOf[int],
not classOf[java.lang.Integer]. The compiler rewrites expressions like
5.getClass to come here.

(defined at scala.runtime.ScalaRunTime)


### `def arrayClass(clazz: Class[_]): Class[_]`                              ###

Return the class object representing an array with element class `clazz` .

(defined at scala.runtime.ScalaRunTime)


### `def arrayElementClass(schematic: Any): Class[_]`                        ###

Return the class object representing elements in arrays described by a given
schematic.

(defined at scala.runtime.ScalaRunTime)


### `def array_apply(xs: AnyRef, idx: Int): Any`                             ###

Retrieve generic array element

(defined at scala.runtime.ScalaRunTime)


### `def array_clone(xs: AnyRef): AnyRef`                                    ###

(defined at scala.runtime.ScalaRunTime)


### `def array_length(xs: AnyRef): Int`                                      ###

Get generic array length

(defined at scala.runtime.ScalaRunTime)


### `def array_update(xs: AnyRef, idx: Int, value: Any): Unit`               ###

update generic array element

(defined at scala.runtime.ScalaRunTime)


### `def box[T](clazz: Class[T]): Class[_]`                                  ###

(defined at scala.runtime.ScalaRunTime)


### `def checkInitialized[T <: AnyRef](x: T): T`                             ###

(defined at scala.runtime.ScalaRunTime)


### `def drop[Repr](coll: Repr, num: Int)(implicit traversable: IsTraversableLike[Repr]): Repr` ###

(defined at scala.runtime.ScalaRunTime)


### `def ensureAccessible(m: Method): Method`                                ###

(defined at scala.runtime.ScalaRunTime)


### `def hash(x: Any): Int`                                                  ###

(defined at scala.runtime.ScalaRunTime)


### `def hash(x: Boolean): Int`                                              ###

(defined at scala.runtime.ScalaRunTime)


### `def hash(x: Byte): Int`                                                 ###

(defined at scala.runtime.ScalaRunTime)


### `def hash(x: Char): Int`                                                 ###

(defined at scala.runtime.ScalaRunTime)


### `def hash(dv: Double): Int`                                              ###

(defined at scala.runtime.ScalaRunTime)


### `def hash(fv: Float): Int`                                               ###

(defined at scala.runtime.ScalaRunTime)


### `def hash(x: Int): Int`                                                  ###

(defined at scala.runtime.ScalaRunTime)


### `def hash(lv: Long): Int`                                                ###

(defined at scala.runtime.ScalaRunTime)


### `def hash(x: Number): Int`                                               ###

(defined at scala.runtime.ScalaRunTime)


### `def hash(x: Short): Int`                                                ###

(defined at scala.runtime.ScalaRunTime)


### `def hash(x: Unit): Int`                                                 ###

(defined at scala.runtime.ScalaRunTime)


### `def inlinedEquals(x: AnyRef, y: AnyRef): Boolean`                       ###

Fast path equality method for inlining; used when -optimise is set.

* Annotations
  * @ inline ()

(defined at scala.runtime.ScalaRunTime)


### `def isAnyVal(x: Any): Boolean`                                          ###

(defined at scala.runtime.ScalaRunTime)


### `def isArray(x: Any, atLevel: Int = 1): Boolean`                         ###

(defined at scala.runtime.ScalaRunTime)


### `def isTuple(x: Any): Boolean`                                           ###

(defined at scala.runtime.ScalaRunTime)


### `def isValueClass(clazz: Class[_]): Boolean`                             ###

(defined at scala.runtime.ScalaRunTime)


### `def replStringOf(arg: Any, maxElements: Int): String`                   ###

stringOf formatted for use in a repl result.

(defined at scala.runtime.ScalaRunTime)


### `def sameElements(xs1: collection.Seq[Any], xs2: collection.Seq[Any]): Boolean` ###

A helper method for constructing case class equality methods, because
existential types get in the way of a clean outcome and it's performing a series
of Any/Any equals comparisons anyway. See ticket #2867 for specifics.

(defined at scala.runtime.ScalaRunTime)


### `def stringOf(arg: Any): String`                                         ###

Given any Scala value, convert it to a String.

The primary motivation for this method is to provide a means for correctly
obtaining a String representation of a value, while avoiding the pitfalls of
naïvely calling toString on said value. In particular, it addresses the fact
that (a) toString cannot be called on null and (b) depending on the apparent
type of an array, toString may or may not print it in a human-readable form.

* arg
  * the value to stringify
* returns
  * a string representation of arg.

(defined at scala.runtime.ScalaRunTime)


### `def stringOf(arg: Any, maxElements: Int): String`                       ###

(defined at scala.runtime.ScalaRunTime)


### `def toArray[T](xs: collection.Seq[T]): Array[AnyRef]`                   ###

(defined at scala.runtime.ScalaRunTime)


### `def toObjectArray(src: AnyRef): Array[AnyRef]`                          ###

Convert an array to an object array. Needed to deal with vararg arguments of
primitive types that are passed to a generic Java vararg parameter T...

(defined at scala.runtime.ScalaRunTime)


### `def typedProductIterator[T](x: Product): Iterator[T]`                   ###

A helper for case classes.
(defined at scala.runtime.ScalaRunTime)
