
#                            scala.util.Properties                            #

```
object Properties extends PropertiesTrait
```

Loads `library.properties` from the jar.

* Source
  * [Properties.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/util/Properties.scala#L1)


--------------------------------------------------------------------------------
                    Value Members From scala.util.Properties
--------------------------------------------------------------------------------


### `val ScalaCompilerVersion: Name`                                         ###

Scala manifest attributes.

(defined at scala.util.Properties)


### `def pickJarBasedOn: Class[Option[_]]`                                   ###

* Attributes
  * protected
* Definition Classes
  * Properties → PropertiesTrait

(defined at scala.util.Properties)


### `def propCategory: String`                                               ###

* Attributes
  * protected
* Definition Classes
  * Properties → PropertiesTrait

(defined at scala.util.Properties)


--------------------------------------------------------------------------------
                 Value Members From scala.util.PropertiesTrait
--------------------------------------------------------------------------------


### `def clearProp(name: String): String`                                    ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `val copyrightString: String`                                            ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `val developmentVersion: Option[String]`                                 ###

The development Scala version, if this is not a final release. The precise
contents are not guaranteed, but it aims to provide a unique repository
identifier (currently the svn revision) in the fourth dotted segment if the
running version was built from source.

* returns
  * Some(version) if this is a non-final version, None if this is a final
    release or the version cannot be read.

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def encodingString: String`                                             ###

This is the default text encoding, overridden (unreliably) with
 `JAVA_OPTS="-Dfile.encoding=Foo"`

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def envOrElse(name: String, alt: String): String`                       ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def envOrNone(name: String): Option[String]`                            ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def envOrSome(name: String, alt: Option[String]): Option[String]`       ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def isJavaAtLeast(version: String): Boolean`                            ###

Compares the given specification version to the specification version of the
platform.

* version
  * a specification version of the form "major.minor"
* returns
  * `true` iff the specification version of the current runtime is equal to or
    higher than the version denoted by the given string.

* Definition Classes
  * PropertiesTrait
* Exceptions thrown
  * NumberFormatException if the given string is not a version string

Example:

```scala
// In this example, the runtime's Java specification is assumed to be at version 1.7.
isJavaAtLeast("1.6")            // true
isJavaAtLeast("1.7")            // true
isJavaAtLeast("1.8")            // false
```

(defined at scala.util.PropertiesTrait)


### `def isMac: Boolean`                                                     ###

Returns `true` iff the underlying operating system is a version of Apple Mac
OSX.

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def isWin: Boolean`                                                     ###

Returns `true` iff the underlying operating system is a version of Microsoft
Windows.

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def javaClassPath: String`                                              ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def javaHome: String`                                                   ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def javaSpecName: String`                                               ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def javaSpecVendor: String`                                             ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def javaSpecVersion: String`                                            ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def javaVendor: String`                                                 ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def javaVersion: String`                                                ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def javaVmInfo: String`                                                 ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def javaVmName: String`                                                 ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def javaVmVendor: String`                                               ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def javaVmVersion: String`                                              ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def jdkHome: String`                                                    ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def lineSeparator: String`                                              ###

The default end of line character.

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def main(args: Array[String]): Unit`                                    ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def osName: String`                                                     ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `val propFilename: String`                                               ###

The name of the properties file

* Attributes
  * protected
* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def propIsSet(name: String): Boolean`                                   ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def propIsSetTo(name: String, value: String): Boolean`                  ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def propOrElse(name: String, alt: String): String`                      ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def propOrEmpty(name: String): String`                                  ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def propOrFalse(name: String): Boolean`                                 ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def propOrNone(name: String): Option[String]`                           ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def propOrNull(name: String): String`                                   ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `val releaseVersion: Option[String]`                                     ###

The numeric portion of the runtime Scala version, if this is a final release. If
for instance the versionString says "version 2.9.0.final", this would return
Some("2.9.0").

* returns
  * Some(version) if this is a final release build, None if it is an RC, Beta,
    etc. or was built from source, or if the version cannot be read.

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def scalaCmd: String`                                                   ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def scalaHome: String`                                                  ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def scalaPropOrElse(name: String, alt: String): String`                 ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def scalaPropOrEmpty(name: String): String`                             ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def scalaPropOrNone(name: String): Option[String]`                      ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `lazy val scalaProps: java.util.Properties`                              ###

The loaded properties

* Attributes
  * protected
* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def scalacCmd: String`                                                  ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def setProp(name: String, value: String): String`                       ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def sourceEncoding: String`                                             ###

This is the encoding to use reading in source files, overridden with -encoding.
Note that it uses "prop" i.e. looks in the scala jar, not the system properties.

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def sourceReader: String`                                               ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def tmpDir: String`                                                     ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def userDir: String`                                                    ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def userHome: String`                                                   ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def userName: String`                                                   ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def versionMsg: String`                                                 ###

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `def versionNumberString: String`                                        ###

Either the development or release version if known, otherwise the empty string.

* Definition Classes
  * PropertiesTrait

(defined at scala.util.PropertiesTrait)


### `val versionString: String`                                              ###

The version number of the jar this was loaded from plus "version " prefix, or
"version (unknown)" if it cannot be determined.

* Definition Classes
  * PropertiesTrait
(defined at scala.util.PropertiesTrait)
