
#                              scala.util.Random                              #

```
class Random extends Serializable
```

* Source
  * [Random.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/util/Random.scala#L1)


--------------------------------------------------------------------------------
                  Instance Constructors From scala.util.Random
--------------------------------------------------------------------------------


### `new Random()`                                                           ###

Creates a new random number generator.

(defined at scala.util.Random)


--------------------------------------------------------------------------------
                      Value Members From scala.util.Random
--------------------------------------------------------------------------------


### `def alphanumeric: collection.immutable.Stream[Char]`                    ###

Returns a Stream of pseudorandomly chosen alphanumeric characters, equally
chosen from A-Z, a-z, and 0-9.

* Since
  * 2.8

(defined at scala.util.Random)


### `def nextBoolean(): Boolean`                                             ###

Returns the next pseudorandom, uniformly distributed boolean value from this
random number generator's sequence.

(defined at scala.util.Random)


### `def nextBytes(bytes: Array[Byte]): Unit`                                ###

Generates random bytes and places them into a user-supplied byte array.

(defined at scala.util.Random)


### `def nextDouble(): Double`                                               ###

Returns the next pseudorandom, uniformly distributed double value between 0.0
and 1.0 from this random number generator's sequence.

(defined at scala.util.Random)


### `def nextFloat(): Float`                                                 ###

Returns the next pseudorandom, uniformly distributed float value between 0.0 and
1.0 from this random number generator's sequence.

(defined at scala.util.Random)


### `def nextGaussian(): Double`                                             ###

Returns the next pseudorandom, Gaussian ("normally") distributed double value
with mean 0.0 and standard deviation 1.0 from this random number generator's
sequence.

(defined at scala.util.Random)


### `def nextInt(): Int`                                                     ###

Returns the next pseudorandom, uniformly distributed int value from this random
number generator's sequence.

(defined at scala.util.Random)


### `def nextInt(n: Int): Int`                                               ###

Returns a pseudorandom, uniformly distributed int value between 0 (inclusive)
and the specified value (exclusive), drawn from this random number generator's
sequence.

(defined at scala.util.Random)


### `def nextLong(): Long`                                                   ###

Returns the next pseudorandom, uniformly distributed long value from this random
number generator's sequence.

(defined at scala.util.Random)


### `def nextPrintableChar(): Char`                                          ###

Returns the next pseudorandom, uniformly distributed value from the ASCII range
33-126.

(defined at scala.util.Random)


### `def nextString(length: Int): String`                                    ###

Returns a pseudorandomly generated String. This routine does not take any
measures to preserve the randomness of the distribution in the face of factors
like unicode's variable-length encoding, so please don't use this for anything
important. It's primarily intended for generating test data.

* length
  * the desired length of the String
* returns
  * the String

(defined at scala.util.Random)


### `val self: java.util.Random`                                             ###

(defined at scala.util.Random)


### `def setSeed(seed: Long): Unit`                                          ###

(defined at scala.util.Random)


### `def shuffle[T, CC[X] <: TraversableOnce[X]](xs: CC[T])(implicit bf: CanBuildFrom[CC[T], T, CC[T]]): CC[T]` ###

Returns a new collection of the same type in a randomly chosen order.

* returns
  * the shuffled collection
(defined at scala.util.Random)
