
#                     scala.util.matching.Regex.MatchData                     #

```
trait MatchData extends AnyRef
```

This class provides methods to access the details of a match.

* Source
  * [Regex.scala](https://github.com/scala/scala/tree/v2.11.5/src/library/scala/util/matching/Regex.scala#L1)


--------------------------------------------------------------------------------
        Abstract Value Members From scala.util.matching.Regex.MatchData
--------------------------------------------------------------------------------


### `abstract def end(i: Int): Int`                                          ###

The index following the last matched character in group `i` , or -1 if nothing
was matched for that group.

(defined at scala.util.matching.Regex.MatchData)


### `abstract def end: Int`                                                  ###

The index following the last matched character, or -1 if nothing was matched.

(defined at scala.util.matching.Regex.MatchData)


### `abstract def groupCount: Int`                                           ###

The number of capturing groups in the pattern. (For a given successful match,
some of those groups may not have matched any input.)

(defined at scala.util.matching.Regex.MatchData)


### `abstract val groupNames: Seq[String]`                                   ###

The names of the groups, or an empty sequence if none defined

(defined at scala.util.matching.Regex.MatchData)


### `abstract val source: CharSequence`                                      ###

The source from which the match originated

(defined at scala.util.matching.Regex.MatchData)


### `abstract def start(i: Int): Int`                                        ###

The index of the first matched character in group `i` , or -1 if nothing was
matched for that group.

(defined at scala.util.matching.Regex.MatchData)


### `abstract def start: Int`                                                ###

The index of the first matched character, or -1 if nothing was matched

(defined at scala.util.matching.Regex.MatchData)


--------------------------------------------------------------------------------
        Concrete Value Members From scala.util.matching.Regex.MatchData
--------------------------------------------------------------------------------


### `def after(i: Int): CharSequence`                                        ###

The char sequence after last character of match in group `i` , or `null` if
nothing was matched for that group.

(defined at scala.util.matching.Regex.MatchData)


### `def after: CharSequence`                                                ###

Returns char sequence after last character of match, or `null` if nothing was
matched.

(defined at scala.util.matching.Regex.MatchData)


### `def before(i: Int): CharSequence`                                       ###

The char sequence before first character of match in group `i` , or `null` if
nothing was matched for that group.

(defined at scala.util.matching.Regex.MatchData)


### `def before: CharSequence`                                               ###

The char sequence before first character of match, or `null` if nothing was
matched.

(defined at scala.util.matching.Regex.MatchData)


### `def group(i: Int): String`                                              ###

The matched string in group `i` , or `null` if nothing was matched.

(defined at scala.util.matching.Regex.MatchData)


### `def group(id: String): String`                                          ###

Returns the group with given name.

* id
  * The group name
* returns
  * The requested group

* Exceptions thrown
  * NoSuchElementException if the requested group name is not defined

(defined at scala.util.matching.Regex.MatchData)


### `def matched: String`                                                    ###

The matched string, or `null` if nothing was matched.

(defined at scala.util.matching.Regex.MatchData)


### `def subgroups: List[String]`                                            ###

All capturing groups, i.e., not including group(0).

(defined at scala.util.matching.Regex.MatchData)


### `def toString(): String`                                                 ###

The matched string; equivalent to `matched.toString` .

* returns
  * a String representation of the object.

* Definition Classes
  * MatchData → AnyRef → Any
(defined at scala.util.matching.Regex.MatchData)
